# osdn-client

OSDNClient - the Ruby gem for the OSDN REST API v0 beta

OSDN REST API. Currently this API is experimental release. Pelase refer documentation on https://osdn.net/projects/osdn-codes/wiki/APIGuide and you can get client libraries from https://osdn.net/projects/osdn-codes/releases/p14859 . 

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.0.20171120
- Package version: 0.0.20171120
- Build date: 2019-12-23T17:21:47.872+09:00
- Build package: class io.swagger.codegen.languages.RubyClientCodegen
For more information, please visit [https://osdn.net/projects/osdn-codes/wiki/APIGuide](https://osdn.net/projects/osdn-codes/wiki/APIGuide)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build osdn-client.gemspec
```

Then either install the gem locally:

```shell
gem install ./osdn-client-0.0.20171120.gem
```
(for development, run `gem install --dev ./osdn-client-0.0.20171120.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'osdn-client', '~> 0.0.20171120'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/OSDN/Client, then add the following in the Gemfile:

    gem 'osdn-client', :git => 'https://github.com/OSDN/Client.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'osdn-client'

# Setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::DefaultApi.new

begin
  result = api_instance.ping
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling DefaultApi->ping: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://osdn.net/api/v0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*OSDNClient::DefaultApi* | [**ping**](docs/DefaultApi.md#ping) | **GET** /ping | 
*OSDNClient::DefaultApi* | [**token**](docs/DefaultApi.md#token) | **POST** /token | 
*OSDNClient::ProjectApi* | [**create_news**](docs/ProjectApi.md#create_news) | **POST** /news | 
*OSDNClient::ProjectApi* | [**create_news_0**](docs/ProjectApi.md#create_news_0) | **POST** /project/{id_or_name}/news | 
*OSDNClient::ProjectApi* | [**create_package**](docs/ProjectApi.md#create_package) | **POST** /project/{id_or_name}/frs | 
*OSDNClient::ProjectApi* | [**create_project_bzr**](docs/ProjectApi.md#create_project_bzr) | **POST** /project/{id_or_name}/bzr | 
*OSDNClient::ProjectApi* | [**create_project_git**](docs/ProjectApi.md#create_project_git) | **POST** /project/{id_or_name}/git | 
*OSDNClient::ProjectApi* | [**create_project_git_hook**](docs/ProjectApi.md#create_project_git_hook) | **POST** /project/{id_or_name}/git/{repo_id}/hooks | 
*OSDNClient::ProjectApi* | [**create_project_hg**](docs/ProjectApi.md#create_project_hg) | **POST** /project/{id_or_name}/hg | 
*OSDNClient::ProjectApi* | [**create_project_profile**](docs/ProjectApi.md#create_project_profile) | **POST** /project/{id_or_name}/admin/profile | 
*OSDNClient::ProjectApi* | [**create_project_ticket**](docs/ProjectApi.md#create_project_ticket) | **POST** /project/{id_or_name}/ticket | 
*OSDNClient::ProjectApi* | [**create_project_ticket_comment**](docs/ProjectApi.md#create_project_ticket_comment) | **POST** /project/{id_or_name}/ticket/{ticket_id}/comment | 
*OSDNClient::ProjectApi* | [**create_project_ticket_component**](docs/ProjectApi.md#create_project_ticket_component) | **POST** /project/{id_or_name}/ticket/component | 
*OSDNClient::ProjectApi* | [**create_project_ticket_milestone**](docs/ProjectApi.md#create_project_ticket_milestone) | **POST** /project/{id_or_name}/ticket/milestone | 
*OSDNClient::ProjectApi* | [**create_project_ticket_type**](docs/ProjectApi.md#create_project_ticket_type) | **POST** /project/{id_or_name}/ticket/type | 
*OSDNClient::ProjectApi* | [**create_project_ticket_type_instruction**](docs/ProjectApi.md#create_project_ticket_type_instruction) | **POST** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
*OSDNClient::ProjectApi* | [**create_release**](docs/ProjectApi.md#create_release) | **POST** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectApi* | [**create_release_file**](docs/ProjectApi.md#create_release_file) | **POST** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectApi* | [**delete_news**](docs/ProjectApi.md#delete_news) | **DELETE** /news/{news_id} | 
*OSDNClient::ProjectApi* | [**delete_news_0**](docs/ProjectApi.md#delete_news_0) | **DELETE** /project/{id_or_name}/news/{news_id} | 
*OSDNClient::ProjectApi* | [**delete_package**](docs/ProjectApi.md#delete_package) | **DELETE** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectApi* | [**delete_project_admin_projectweb**](docs/ProjectApi.md#delete_project_admin_projectweb) | **DELETE** /project/{id_or_name}/admin/project_web | 
*OSDNClient::ProjectApi* | [**delete_project_git_hook**](docs/ProjectApi.md#delete_project_git_hook) | **DELETE** /project/{id_or_name}/git/{repo_id}/hooks/{hook_id} | 
*OSDNClient::ProjectApi* | [**delete_project_profile**](docs/ProjectApi.md#delete_project_profile) | **DELETE** /project/{id_or_name}/admin/profile/{language_code} | 
*OSDNClient::ProjectApi* | [**delete_project_ticket_component**](docs/ProjectApi.md#delete_project_ticket_component) | **DELETE** /project/{id_or_name}/ticket/component/{component_id} | 
*OSDNClient::ProjectApi* | [**delete_project_ticket_milestone**](docs/ProjectApi.md#delete_project_ticket_milestone) | **DELETE** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
*OSDNClient::ProjectApi* | [**delete_project_ticket_type**](docs/ProjectApi.md#delete_project_ticket_type) | **DELETE** /project/{id_or_name}/ticket/type/{type_id} | 
*OSDNClient::ProjectApi* | [**delete_project_ticket_type_instruction**](docs/ProjectApi.md#delete_project_ticket_type_instruction) | **DELETE** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
*OSDNClient::ProjectApi* | [**delete_release**](docs/ProjectApi.md#delete_release) | **DELETE** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectApi* | [**delete_release_file**](docs/ProjectApi.md#delete_release_file) | **DELETE** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
*OSDNClient::ProjectApi* | [**disable_project_bzr**](docs/ProjectApi.md#disable_project_bzr) | **DELETE** /project/{id_or_name}/bzr/{repo_id} | 
*OSDNClient::ProjectApi* | [**disable_project_git**](docs/ProjectApi.md#disable_project_git) | **DELETE** /project/{id_or_name}/git/{repo_id} | 
*OSDNClient::ProjectApi* | [**disable_project_hg**](docs/ProjectApi.md#disable_project_hg) | **DELETE** /project/{id_or_name}/hg/{repo_id} | 
*OSDNClient::ProjectApi* | [**draft_release**](docs/ProjectApi.md#draft_release) | **GET** /project/{id_or_name}/frs/{package_id}/draft | 
*OSDNClient::ProjectApi* | [**get_frs_adminprefs**](docs/ProjectApi.md#get_frs_adminprefs) | **GET** /project/{id_or_name}/frs/admin | 
*OSDNClient::ProjectApi* | [**get_news**](docs/ProjectApi.md#get_news) | **GET** /news/{news_id} | 
*OSDNClient::ProjectApi* | [**get_news_0**](docs/ProjectApi.md#get_news_0) | **GET** /project/{id_or_name}/news/{news_id} | 
*OSDNClient::ProjectApi* | [**get_package**](docs/ProjectApi.md#get_package) | **GET** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectApi* | [**get_project**](docs/ProjectApi.md#get_project) | **GET** /project/{id_or_name} | 
*OSDNClient::ProjectApi* | [**get_project_admin_projectweb**](docs/ProjectApi.md#get_project_admin_projectweb) | **GET** /project/{id_or_name}/admin/project_web | 
*OSDNClient::ProjectApi* | [**get_project_bzr**](docs/ProjectApi.md#get_project_bzr) | **GET** /project/{id_or_name}/bzr/{repo_id} | 
*OSDNClient::ProjectApi* | [**get_project_git**](docs/ProjectApi.md#get_project_git) | **GET** /project/{id_or_name}/git/{repo_id} | 
*OSDNClient::ProjectApi* | [**get_project_git_hook**](docs/ProjectApi.md#get_project_git_hook) | **GET** /project/{id_or_name}/git/{repo_id}/hooks/{hook_id} | 
*OSDNClient::ProjectApi* | [**get_project_hg**](docs/ProjectApi.md#get_project_hg) | **GET** /project/{id_or_name}/hg/{repo_id} | 
*OSDNClient::ProjectApi* | [**get_project_histories**](docs/ProjectApi.md#get_project_histories) | **GET** /project/{id_or_name}/history | 
*OSDNClient::ProjectApi* | [**get_project_profile**](docs/ProjectApi.md#get_project_profile) | **GET** /project/{id_or_name}/admin/profile/{language_code} | 
*OSDNClient::ProjectApi* | [**get_project_profile_list**](docs/ProjectApi.md#get_project_profile_list) | **GET** /project/{id_or_name}/admin/profile | 
*OSDNClient::ProjectApi* | [**get_project_svn**](docs/ProjectApi.md#get_project_svn) | **GET** /project/{id_or_name}/svn | 
*OSDNClient::ProjectApi* | [**get_project_ticket**](docs/ProjectApi.md#get_project_ticket) | **GET** /project/{id_or_name}/ticket/{ticket_id} | 
*OSDNClient::ProjectApi* | [**get_project_ticket_component**](docs/ProjectApi.md#get_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component/{component_id} | 
*OSDNClient::ProjectApi* | [**get_project_ticket_milestone**](docs/ProjectApi.md#get_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
*OSDNClient::ProjectApi* | [**get_project_ticket_type**](docs/ProjectApi.md#get_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type/{type_id} | 
*OSDNClient::ProjectApi* | [**get_project_ticket_type_instruction**](docs/ProjectApi.md#get_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
*OSDNClient::ProjectApi* | [**get_project_ticket_type_instruction_0**](docs/ProjectApi.md#get_project_ticket_type_instruction_0) | **PATCH** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
*OSDNClient::ProjectApi* | [**get_project_tools**](docs/ProjectApi.md#get_project_tools) | **GET** /project/{id_or_name}/admin/tools | 
*OSDNClient::ProjectApi* | [**get_release**](docs/ProjectApi.md#get_release) | **GET** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectApi* | [**get_release_file**](docs/ProjectApi.md#get_release_file) | **GET** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
*OSDNClient::ProjectApi* | [**list_news**](docs/ProjectApi.md#list_news) | **GET** /news | 
*OSDNClient::ProjectApi* | [**list_news_0**](docs/ProjectApi.md#list_news_0) | **GET** /project/{id_or_name}/news | 
*OSDNClient::ProjectApi* | [**list_packages**](docs/ProjectApi.md#list_packages) | **GET** /project/{id_or_name}/frs | 
*OSDNClient::ProjectApi* | [**list_project_bzr**](docs/ProjectApi.md#list_project_bzr) | **GET** /project/{id_or_name}/bzr | 
*OSDNClient::ProjectApi* | [**list_project_git**](docs/ProjectApi.md#list_project_git) | **GET** /project/{id_or_name}/git | 
*OSDNClient::ProjectApi* | [**list_project_git_hook**](docs/ProjectApi.md#list_project_git_hook) | **GET** /project/{id_or_name}/git/{repo_id}/hooks | 
*OSDNClient::ProjectApi* | [**list_project_hg**](docs/ProjectApi.md#list_project_hg) | **GET** /project/{id_or_name}/hg | 
*OSDNClient::ProjectApi* | [**list_project_ticket**](docs/ProjectApi.md#list_project_ticket) | **GET** /project/{id_or_name}/ticket | 
*OSDNClient::ProjectApi* | [**list_project_ticket_comment**](docs/ProjectApi.md#list_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment | 
*OSDNClient::ProjectApi* | [**list_project_ticket_component**](docs/ProjectApi.md#list_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component | 
*OSDNClient::ProjectApi* | [**list_project_ticket_milestone**](docs/ProjectApi.md#list_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone | 
*OSDNClient::ProjectApi* | [**list_project_ticket_type**](docs/ProjectApi.md#list_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type | 
*OSDNClient::ProjectApi* | [**list_project_ticket_type_instruction**](docs/ProjectApi.md#list_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
*OSDNClient::ProjectApi* | [**show_project_ticket_adminprefs**](docs/ProjectApi.md#show_project_ticket_adminprefs) | **GET** /project/{id_or_name}/ticket/admin | 
*OSDNClient::ProjectApi* | [**show_project_ticket_comment**](docs/ProjectApi.md#show_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment/{comment_id} | 
*OSDNClient::ProjectApi* | [**update_frs_adminprefs**](docs/ProjectApi.md#update_frs_adminprefs) | **PATCH** /project/{id_or_name}/frs/admin | 
*OSDNClient::ProjectApi* | [**update_news**](docs/ProjectApi.md#update_news) | **PATCH** /news/{news_id} | 
*OSDNClient::ProjectApi* | [**update_news_0**](docs/ProjectApi.md#update_news_0) | **PATCH** /project/{id_or_name}/news/{news_id} | 
*OSDNClient::ProjectApi* | [**update_package**](docs/ProjectApi.md#update_package) | **PATCH** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectApi* | [**update_project_admin_projectweb**](docs/ProjectApi.md#update_project_admin_projectweb) | **PATCH** /project/{id_or_name}/admin/project_web | 
*OSDNClient::ProjectApi* | [**update_project_bzr**](docs/ProjectApi.md#update_project_bzr) | **PATCH** /project/{id_or_name}/bzr/{repo_id} | 
*OSDNClient::ProjectApi* | [**update_project_git**](docs/ProjectApi.md#update_project_git) | **PATCH** /project/{id_or_name}/git/{repo_id} | 
*OSDNClient::ProjectApi* | [**update_project_hg**](docs/ProjectApi.md#update_project_hg) | **PATCH** /project/{id_or_name}/hg/{repo_id} | 
*OSDNClient::ProjectApi* | [**update_project_profile**](docs/ProjectApi.md#update_project_profile) | **PATCH** /project/{id_or_name}/admin/profile/{language_code} | 
*OSDNClient::ProjectApi* | [**update_project_ticket**](docs/ProjectApi.md#update_project_ticket) | **PATCH** /project/{id_or_name}/ticket/{ticket_id} | 
*OSDNClient::ProjectApi* | [**update_project_ticket_adminprefs**](docs/ProjectApi.md#update_project_ticket_adminprefs) | **PATCH** /project/{id_or_name}/ticket/admin | 
*OSDNClient::ProjectApi* | [**update_project_ticket_component**](docs/ProjectApi.md#update_project_ticket_component) | **PATCH** /project/{id_or_name}/ticket/component/{component_id} | 
*OSDNClient::ProjectApi* | [**update_project_ticket_milestone**](docs/ProjectApi.md#update_project_ticket_milestone) | **PATCH** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
*OSDNClient::ProjectApi* | [**update_project_ticket_type**](docs/ProjectApi.md#update_project_ticket_type) | **PATCH** /project/{id_or_name}/ticket/type/{type_id} | 
*OSDNClient::ProjectApi* | [**update_project_tools**](docs/ProjectApi.md#update_project_tools) | **PATCH** /project/{id_or_name}/admin/tools | 
*OSDNClient::ProjectApi* | [**update_release**](docs/ProjectApi.md#update_release) | **PATCH** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectApi* | [**update_release_file**](docs/ProjectApi.md#update_release_file) | **PATCH** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
*OSDNClient::ProjectFrsApi* | [**create_package**](docs/ProjectFrsApi.md#create_package) | **POST** /project/{id_or_name}/frs | 
*OSDNClient::ProjectFrsApi* | [**create_release**](docs/ProjectFrsApi.md#create_release) | **POST** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectFrsApi* | [**create_release_file**](docs/ProjectFrsApi.md#create_release_file) | **POST** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectFrsApi* | [**delete_package**](docs/ProjectFrsApi.md#delete_package) | **DELETE** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectFrsApi* | [**delete_release**](docs/ProjectFrsApi.md#delete_release) | **DELETE** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectFrsApi* | [**delete_release_file**](docs/ProjectFrsApi.md#delete_release_file) | **DELETE** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
*OSDNClient::ProjectFrsApi* | [**draft_release**](docs/ProjectFrsApi.md#draft_release) | **GET** /project/{id_or_name}/frs/{package_id}/draft | 
*OSDNClient::ProjectFrsApi* | [**get_frs_adminprefs**](docs/ProjectFrsApi.md#get_frs_adminprefs) | **GET** /project/{id_or_name}/frs/admin | 
*OSDNClient::ProjectFrsApi* | [**get_package**](docs/ProjectFrsApi.md#get_package) | **GET** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectFrsApi* | [**get_release**](docs/ProjectFrsApi.md#get_release) | **GET** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectFrsApi* | [**get_release_file**](docs/ProjectFrsApi.md#get_release_file) | **GET** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
*OSDNClient::ProjectFrsApi* | [**list_packages**](docs/ProjectFrsApi.md#list_packages) | **GET** /project/{id_or_name}/frs | 
*OSDNClient::ProjectFrsApi* | [**update_frs_adminprefs**](docs/ProjectFrsApi.md#update_frs_adminprefs) | **PATCH** /project/{id_or_name}/frs/admin | 
*OSDNClient::ProjectFrsApi* | [**update_package**](docs/ProjectFrsApi.md#update_package) | **PATCH** /project/{id_or_name}/frs/{package_id} | 
*OSDNClient::ProjectFrsApi* | [**update_release**](docs/ProjectFrsApi.md#update_release) | **PATCH** /project/{id_or_name}/frs/{package_id}/{release_id} | 
*OSDNClient::ProjectFrsApi* | [**update_release_file**](docs/ProjectFrsApi.md#update_release_file) | **PATCH** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
*OSDNClient::ProjectNewsApi* | [**create_news**](docs/ProjectNewsApi.md#create_news) | **POST** /news | 
*OSDNClient::ProjectNewsApi* | [**create_news_0**](docs/ProjectNewsApi.md#create_news_0) | **POST** /project/{id_or_name}/news | 
*OSDNClient::ProjectNewsApi* | [**delete_news**](docs/ProjectNewsApi.md#delete_news) | **DELETE** /news/{news_id} | 
*OSDNClient::ProjectNewsApi* | [**delete_news_0**](docs/ProjectNewsApi.md#delete_news_0) | **DELETE** /project/{id_or_name}/news/{news_id} | 
*OSDNClient::ProjectNewsApi* | [**get_news**](docs/ProjectNewsApi.md#get_news) | **GET** /news/{news_id} | 
*OSDNClient::ProjectNewsApi* | [**get_news_0**](docs/ProjectNewsApi.md#get_news_0) | **GET** /project/{id_or_name}/news/{news_id} | 
*OSDNClient::ProjectNewsApi* | [**list_news**](docs/ProjectNewsApi.md#list_news) | **GET** /news | 
*OSDNClient::ProjectNewsApi* | [**list_news_0**](docs/ProjectNewsApi.md#list_news_0) | **GET** /project/{id_or_name}/news | 
*OSDNClient::ProjectNewsApi* | [**update_news**](docs/ProjectNewsApi.md#update_news) | **PATCH** /news/{news_id} | 
*OSDNClient::ProjectNewsApi* | [**update_news_0**](docs/ProjectNewsApi.md#update_news_0) | **PATCH** /project/{id_or_name}/news/{news_id} | 
*OSDNClient::ProjectSCMApi* | [**create_project_bzr**](docs/ProjectSCMApi.md#create_project_bzr) | **POST** /project/{id_or_name}/bzr | 
*OSDNClient::ProjectSCMApi* | [**create_project_git**](docs/ProjectSCMApi.md#create_project_git) | **POST** /project/{id_or_name}/git | 
*OSDNClient::ProjectSCMApi* | [**create_project_git_hook**](docs/ProjectSCMApi.md#create_project_git_hook) | **POST** /project/{id_or_name}/git/{repo_id}/hooks | 
*OSDNClient::ProjectSCMApi* | [**create_project_hg**](docs/ProjectSCMApi.md#create_project_hg) | **POST** /project/{id_or_name}/hg | 
*OSDNClient::ProjectSCMApi* | [**delete_project_git_hook**](docs/ProjectSCMApi.md#delete_project_git_hook) | **DELETE** /project/{id_or_name}/git/{repo_id}/hooks/{hook_id} | 
*OSDNClient::ProjectSCMApi* | [**disable_project_bzr**](docs/ProjectSCMApi.md#disable_project_bzr) | **DELETE** /project/{id_or_name}/bzr/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**disable_project_git**](docs/ProjectSCMApi.md#disable_project_git) | **DELETE** /project/{id_or_name}/git/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**disable_project_hg**](docs/ProjectSCMApi.md#disable_project_hg) | **DELETE** /project/{id_or_name}/hg/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**get_project_bzr**](docs/ProjectSCMApi.md#get_project_bzr) | **GET** /project/{id_or_name}/bzr/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**get_project_git**](docs/ProjectSCMApi.md#get_project_git) | **GET** /project/{id_or_name}/git/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**get_project_git_hook**](docs/ProjectSCMApi.md#get_project_git_hook) | **GET** /project/{id_or_name}/git/{repo_id}/hooks/{hook_id} | 
*OSDNClient::ProjectSCMApi* | [**get_project_hg**](docs/ProjectSCMApi.md#get_project_hg) | **GET** /project/{id_or_name}/hg/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**get_project_svn**](docs/ProjectSCMApi.md#get_project_svn) | **GET** /project/{id_or_name}/svn | 
*OSDNClient::ProjectSCMApi* | [**list_project_bzr**](docs/ProjectSCMApi.md#list_project_bzr) | **GET** /project/{id_or_name}/bzr | 
*OSDNClient::ProjectSCMApi* | [**list_project_git**](docs/ProjectSCMApi.md#list_project_git) | **GET** /project/{id_or_name}/git | 
*OSDNClient::ProjectSCMApi* | [**list_project_git_hook**](docs/ProjectSCMApi.md#list_project_git_hook) | **GET** /project/{id_or_name}/git/{repo_id}/hooks | 
*OSDNClient::ProjectSCMApi* | [**list_project_hg**](docs/ProjectSCMApi.md#list_project_hg) | **GET** /project/{id_or_name}/hg | 
*OSDNClient::ProjectSCMApi* | [**update_project_bzr**](docs/ProjectSCMApi.md#update_project_bzr) | **PATCH** /project/{id_or_name}/bzr/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**update_project_git**](docs/ProjectSCMApi.md#update_project_git) | **PATCH** /project/{id_or_name}/git/{repo_id} | 
*OSDNClient::ProjectSCMApi* | [**update_project_hg**](docs/ProjectSCMApi.md#update_project_hg) | **PATCH** /project/{id_or_name}/hg/{repo_id} | 
*OSDNClient::ProjectTicketApi* | [**create_project_ticket**](docs/ProjectTicketApi.md#create_project_ticket) | **POST** /project/{id_or_name}/ticket | 
*OSDNClient::ProjectTicketApi* | [**create_project_ticket_comment**](docs/ProjectTicketApi.md#create_project_ticket_comment) | **POST** /project/{id_or_name}/ticket/{ticket_id}/comment | 
*OSDNClient::ProjectTicketApi* | [**create_project_ticket_component**](docs/ProjectTicketApi.md#create_project_ticket_component) | **POST** /project/{id_or_name}/ticket/component | 
*OSDNClient::ProjectTicketApi* | [**create_project_ticket_milestone**](docs/ProjectTicketApi.md#create_project_ticket_milestone) | **POST** /project/{id_or_name}/ticket/milestone | 
*OSDNClient::ProjectTicketApi* | [**create_project_ticket_type**](docs/ProjectTicketApi.md#create_project_ticket_type) | **POST** /project/{id_or_name}/ticket/type | 
*OSDNClient::ProjectTicketApi* | [**create_project_ticket_type_instruction**](docs/ProjectTicketApi.md#create_project_ticket_type_instruction) | **POST** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
*OSDNClient::ProjectTicketApi* | [**delete_project_ticket_component**](docs/ProjectTicketApi.md#delete_project_ticket_component) | **DELETE** /project/{id_or_name}/ticket/component/{component_id} | 
*OSDNClient::ProjectTicketApi* | [**delete_project_ticket_milestone**](docs/ProjectTicketApi.md#delete_project_ticket_milestone) | **DELETE** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
*OSDNClient::ProjectTicketApi* | [**delete_project_ticket_type**](docs/ProjectTicketApi.md#delete_project_ticket_type) | **DELETE** /project/{id_or_name}/ticket/type/{type_id} | 
*OSDNClient::ProjectTicketApi* | [**delete_project_ticket_type_instruction**](docs/ProjectTicketApi.md#delete_project_ticket_type_instruction) | **DELETE** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
*OSDNClient::ProjectTicketApi* | [**get_project_ticket**](docs/ProjectTicketApi.md#get_project_ticket) | **GET** /project/{id_or_name}/ticket/{ticket_id} | 
*OSDNClient::ProjectTicketApi* | [**get_project_ticket_component**](docs/ProjectTicketApi.md#get_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component/{component_id} | 
*OSDNClient::ProjectTicketApi* | [**get_project_ticket_milestone**](docs/ProjectTicketApi.md#get_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
*OSDNClient::ProjectTicketApi* | [**get_project_ticket_type**](docs/ProjectTicketApi.md#get_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type/{type_id} | 
*OSDNClient::ProjectTicketApi* | [**get_project_ticket_type_instruction**](docs/ProjectTicketApi.md#get_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
*OSDNClient::ProjectTicketApi* | [**get_project_ticket_type_instruction_0**](docs/ProjectTicketApi.md#get_project_ticket_type_instruction_0) | **PATCH** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
*OSDNClient::ProjectTicketApi* | [**list_project_ticket**](docs/ProjectTicketApi.md#list_project_ticket) | **GET** /project/{id_or_name}/ticket | 
*OSDNClient::ProjectTicketApi* | [**list_project_ticket_comment**](docs/ProjectTicketApi.md#list_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment | 
*OSDNClient::ProjectTicketApi* | [**list_project_ticket_component**](docs/ProjectTicketApi.md#list_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component | 
*OSDNClient::ProjectTicketApi* | [**list_project_ticket_milestone**](docs/ProjectTicketApi.md#list_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone | 
*OSDNClient::ProjectTicketApi* | [**list_project_ticket_type**](docs/ProjectTicketApi.md#list_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type | 
*OSDNClient::ProjectTicketApi* | [**list_project_ticket_type_instruction**](docs/ProjectTicketApi.md#list_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
*OSDNClient::ProjectTicketApi* | [**show_project_ticket_adminprefs**](docs/ProjectTicketApi.md#show_project_ticket_adminprefs) | **GET** /project/{id_or_name}/ticket/admin | 
*OSDNClient::ProjectTicketApi* | [**show_project_ticket_comment**](docs/ProjectTicketApi.md#show_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment/{comment_id} | 
*OSDNClient::ProjectTicketApi* | [**update_project_ticket**](docs/ProjectTicketApi.md#update_project_ticket) | **PATCH** /project/{id_or_name}/ticket/{ticket_id} | 
*OSDNClient::ProjectTicketApi* | [**update_project_ticket_adminprefs**](docs/ProjectTicketApi.md#update_project_ticket_adminprefs) | **PATCH** /project/{id_or_name}/ticket/admin | 
*OSDNClient::ProjectTicketApi* | [**update_project_ticket_component**](docs/ProjectTicketApi.md#update_project_ticket_component) | **PATCH** /project/{id_or_name}/ticket/component/{component_id} | 
*OSDNClient::ProjectTicketApi* | [**update_project_ticket_milestone**](docs/ProjectTicketApi.md#update_project_ticket_milestone) | **PATCH** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
*OSDNClient::ProjectTicketApi* | [**update_project_ticket_type**](docs/ProjectTicketApi.md#update_project_ticket_type) | **PATCH** /project/{id_or_name}/ticket/type/{type_id} | 
*OSDNClient::UserApi* | [**get_user**](docs/UserApi.md#get_user) | **GET** /user/{id_or_name} | 
*OSDNClient::UserApi* | [**get_user_history**](docs/UserApi.md#get_user_history) | **GET** /user/{id_or_name}/history | 
*OSDNClient::UserApi* | [**get_user_stats_daily**](docs/UserApi.md#get_user_stats_daily) | **GET** /user/{id_or_name}/stats/daily | 
*OSDNClient::UserApi* | [**get_user_stats_monthly**](docs/UserApi.md#get_user_stats_monthly) | **GET** /user/{id_or_name}/stats/monthly | 
*OSDNClient::UserApi* | [**update_user_icon**](docs/UserApi.md#update_user_icon) | **POST** /user/{id_or_name}/icon | 
*OSDNClient::UserApi* | [**update_user_photo**](docs/UserApi.md#update_user_photo) | **POST** /user/{id_or_name}/photo | 


## Documentation for Models

 - [OSDNClient::FrsAdminPrefs](docs/FrsAdminPrefs.md)
 - [OSDNClient::Group](docs/Group.md)
 - [OSDNClient::GroupProfile](docs/GroupProfile.md)
 - [OSDNClient::GroupProfilePerLanguage](docs/GroupProfilePerLanguage.md)
 - [OSDNClient::GroupToolFlags](docs/GroupToolFlags.md)
 - [OSDNClient::History](docs/History.md)
 - [OSDNClient::I18NText](docs/I18NText.md)
 - [OSDNClient::News](docs/News.md)
 - [OSDNClient::Package](docs/Package.md)
 - [OSDNClient::Pong](docs/Pong.md)
 - [OSDNClient::ProjectBzr](docs/ProjectBzr.md)
 - [OSDNClient::ProjectGit](docs/ProjectGit.md)
 - [OSDNClient::ProjectHg](docs/ProjectHg.md)
 - [OSDNClient::ProjectSCM](docs/ProjectSCM.md)
 - [OSDNClient::ProjectSCMLastCommit](docs/ProjectSCMLastCommit.md)
 - [OSDNClient::ProjectSvn](docs/ProjectSvn.md)
 - [OSDNClient::ProjectTicketComment](docs/ProjectTicketComment.md)
 - [OSDNClient::ProjectTicketComponent](docs/ProjectTicketComponent.md)
 - [OSDNClient::ProjectTicketComponentSummary](docs/ProjectTicketComponentSummary.md)
 - [OSDNClient::ProjectTicketComponentSummarySummarizedBy](docs/ProjectTicketComponentSummarySummarizedBy.md)
 - [OSDNClient::ProjectTicketHistory](docs/ProjectTicketHistory.md)
 - [OSDNClient::ProjectTicketItem](docs/ProjectTicketItem.md)
 - [OSDNClient::ProjectTicketMilestone](docs/ProjectTicketMilestone.md)
 - [OSDNClient::ProjectTicketMilestoneSummary](docs/ProjectTicketMilestoneSummary.md)
 - [OSDNClient::ProjectTicketMilestoneSummarySummarizedBy](docs/ProjectTicketMilestoneSummarySummarizedBy.md)
 - [OSDNClient::ProjectTicketPrefs](docs/ProjectTicketPrefs.md)
 - [OSDNClient::ProjectTicketType](docs/ProjectTicketType.md)
 - [OSDNClient::ProjectTicketTypeInstructionPerLanguage](docs/ProjectTicketTypeInstructionPerLanguage.md)
 - [OSDNClient::ProjectTicketTypeInstructions](docs/ProjectTicketTypeInstructions.md)
 - [OSDNClient::ProjectTicketTypeSummary](docs/ProjectTicketTypeSummary.md)
 - [OSDNClient::ProjectTicketTypeSummarySummarizedBy](docs/ProjectTicketTypeSummarySummarizedBy.md)
 - [OSDNClient::ProjectWeb](docs/ProjectWeb.md)
 - [OSDNClient::RelFile](docs/RelFile.md)
 - [OSDNClient::Release](docs/Release.md)
 - [OSDNClient::ScmHook](docs/ScmHook.md)
 - [OSDNClient::SimpleChamber](docs/SimpleChamber.md)
 - [OSDNClient::SimpleGroup](docs/SimpleGroup.md)
 - [OSDNClient::SimpleUser](docs/SimpleUser.md)
 - [OSDNClient::Skill](docs/Skill.md)
 - [OSDNClient::SummariadByComponent](docs/SummariadByComponent.md)
 - [OSDNClient::SummariadByComponentInner](docs/SummariadByComponentInner.md)
 - [OSDNClient::SummariadByMilestone](docs/SummariadByMilestone.md)
 - [OSDNClient::SummariadByMilestoneInner](docs/SummariadByMilestoneInner.md)
 - [OSDNClient::SummariadByOwner](docs/SummariadByOwner.md)
 - [OSDNClient::SummariadByOwnerInner](docs/SummariadByOwnerInner.md)
 - [OSDNClient::SummariadByPriority](docs/SummariadByPriority.md)
 - [OSDNClient::SummariadByPriorityInner](docs/SummariadByPriorityInner.md)
 - [OSDNClient::SummariadBySeverity](docs/SummariadBySeverity.md)
 - [OSDNClient::SummariadBySeverityInner](docs/SummariadBySeverityInner.md)
 - [OSDNClient::SummariadByType](docs/SummariadByType.md)
 - [OSDNClient::SummariadByTypeInner](docs/SummariadByTypeInner.md)
 - [OSDNClient::Token](docs/Token.md)
 - [OSDNClient::User](docs/User.md)
 - [OSDNClient::UserImages](docs/UserImages.md)
 - [OSDNClient::UserStats](docs/UserStats.md)


## Documentation for Authorization


### oauth2-code

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://osdn.net/account/oauth2ui/authorize
- **Scopes**: 
  - profile: Read basic user profile
  - profile_write: Write basic user profile
  - group: read access to group data
  - group_write: write access to group data
  - chamber: read access to chamber data
  - chamber_write: write access to chamber data

### oauth2-implicit

- **Type**: OAuth
- **Flow**: implicit
- **Authorization URL**: https://osdn.net/account/oauth2ui/authorize
- **Scopes**: 
  - profile: Read basic user profile
  - profile_write: Write basic user profile
  - group: read access to group data
  - group_write: write access to group data
  - chamber: read access to chamber data
  - chamber_write: write access to chamber data

