# OSDNClient::DefaultApi

All URIs are relative to *https://osdn.net/api/v0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ping**](DefaultApi.md#ping) | **GET** /ping | 
[**token**](DefaultApi.md#token) | **POST** /token | 


# **ping**
> Pong ping



return pong for test 

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::DefaultApi.new

begin
  result = api_instance.ping
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling DefaultApi->ping: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Pong**](Pong.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **token**
> Token token(client_id, client_secret, opts)



Get access token by access code.

### Example
```ruby
# load the gem
require 'osdn-client'

api_instance = OSDNClient::DefaultApi.new

client_id = "client_id_example" # String | Your application ID

client_secret = "client_secret_example" # String | Your application secret (key)

opts = { 
  grant_type: "authorization_code", # String | \"authorization_code\" or \"refresh_token\"
  code: "code_example", # String | Set auth code issued by https://osdn.net/account/oauth2ui/authorize for grant_type=authorization_code
  refresh_token: "refresh_token_example" # String | Set refresh token to update access token.
}

begin
  result = api_instance.token(client_id, client_secret, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling DefaultApi->token: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **client_id** | **String**| Your application ID | 
 **client_secret** | **String**| Your application secret (key) | 
 **grant_type** | **String**| \&quot;authorization_code\&quot; or \&quot;refresh_token\&quot; | [optional] [default to authorization_code]
 **code** | **String**| Set auth code issued by https://osdn.net/account/oauth2ui/authorize for grant_type&#x3D;authorization_code | [optional] 
 **refresh_token** | **String**| Set refresh token to update access token. | [optional] 

### Return type

[**Token**](Token.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



