# OSDNClient::ProjectApi

All URIs are relative to *https://osdn.net/api/v0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_news**](ProjectApi.md#create_news) | **POST** /news | 
[**create_news_0**](ProjectApi.md#create_news_0) | **POST** /project/{id_or_name}/news | 
[**create_package**](ProjectApi.md#create_package) | **POST** /project/{id_or_name}/frs | 
[**create_project_bzr**](ProjectApi.md#create_project_bzr) | **POST** /project/{id_or_name}/bzr | 
[**create_project_git**](ProjectApi.md#create_project_git) | **POST** /project/{id_or_name}/git | 
[**create_project_git_hook**](ProjectApi.md#create_project_git_hook) | **POST** /project/{id_or_name}/git/{repo_id}/hooks | 
[**create_project_hg**](ProjectApi.md#create_project_hg) | **POST** /project/{id_or_name}/hg | 
[**create_project_profile**](ProjectApi.md#create_project_profile) | **POST** /project/{id_or_name}/admin/profile | 
[**create_project_ticket**](ProjectApi.md#create_project_ticket) | **POST** /project/{id_or_name}/ticket | 
[**create_project_ticket_comment**](ProjectApi.md#create_project_ticket_comment) | **POST** /project/{id_or_name}/ticket/{ticket_id}/comment | 
[**create_project_ticket_component**](ProjectApi.md#create_project_ticket_component) | **POST** /project/{id_or_name}/ticket/component | 
[**create_project_ticket_milestone**](ProjectApi.md#create_project_ticket_milestone) | **POST** /project/{id_or_name}/ticket/milestone | 
[**create_project_ticket_type**](ProjectApi.md#create_project_ticket_type) | **POST** /project/{id_or_name}/ticket/type | 
[**create_project_ticket_type_instruction**](ProjectApi.md#create_project_ticket_type_instruction) | **POST** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
[**create_release**](ProjectApi.md#create_release) | **POST** /project/{id_or_name}/frs/{package_id} | 
[**create_release_file**](ProjectApi.md#create_release_file) | **POST** /project/{id_or_name}/frs/{package_id}/{release_id} | 
[**delete_news**](ProjectApi.md#delete_news) | **DELETE** /news/{news_id} | 
[**delete_news_0**](ProjectApi.md#delete_news_0) | **DELETE** /project/{id_or_name}/news/{news_id} | 
[**delete_package**](ProjectApi.md#delete_package) | **DELETE** /project/{id_or_name}/frs/{package_id} | 
[**delete_project_admin_projectweb**](ProjectApi.md#delete_project_admin_projectweb) | **DELETE** /project/{id_or_name}/admin/project_web | 
[**delete_project_git_hook**](ProjectApi.md#delete_project_git_hook) | **DELETE** /project/{id_or_name}/git/{repo_id}/hooks/{hook_id} | 
[**delete_project_profile**](ProjectApi.md#delete_project_profile) | **DELETE** /project/{id_or_name}/admin/profile/{language_code} | 
[**delete_project_ticket_component**](ProjectApi.md#delete_project_ticket_component) | **DELETE** /project/{id_or_name}/ticket/component/{component_id} | 
[**delete_project_ticket_milestone**](ProjectApi.md#delete_project_ticket_milestone) | **DELETE** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
[**delete_project_ticket_type**](ProjectApi.md#delete_project_ticket_type) | **DELETE** /project/{id_or_name}/ticket/type/{type_id} | 
[**delete_project_ticket_type_instruction**](ProjectApi.md#delete_project_ticket_type_instruction) | **DELETE** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
[**delete_release**](ProjectApi.md#delete_release) | **DELETE** /project/{id_or_name}/frs/{package_id}/{release_id} | 
[**delete_release_file**](ProjectApi.md#delete_release_file) | **DELETE** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
[**disable_project_bzr**](ProjectApi.md#disable_project_bzr) | **DELETE** /project/{id_or_name}/bzr/{repo_id} | 
[**disable_project_git**](ProjectApi.md#disable_project_git) | **DELETE** /project/{id_or_name}/git/{repo_id} | 
[**disable_project_hg**](ProjectApi.md#disable_project_hg) | **DELETE** /project/{id_or_name}/hg/{repo_id} | 
[**draft_release**](ProjectApi.md#draft_release) | **GET** /project/{id_or_name}/frs/{package_id}/draft | 
[**get_frs_adminprefs**](ProjectApi.md#get_frs_adminprefs) | **GET** /project/{id_or_name}/frs/admin | 
[**get_news**](ProjectApi.md#get_news) | **GET** /news/{news_id} | 
[**get_news_0**](ProjectApi.md#get_news_0) | **GET** /project/{id_or_name}/news/{news_id} | 
[**get_package**](ProjectApi.md#get_package) | **GET** /project/{id_or_name}/frs/{package_id} | 
[**get_project**](ProjectApi.md#get_project) | **GET** /project/{id_or_name} | 
[**get_project_admin_projectweb**](ProjectApi.md#get_project_admin_projectweb) | **GET** /project/{id_or_name}/admin/project_web | 
[**get_project_bzr**](ProjectApi.md#get_project_bzr) | **GET** /project/{id_or_name}/bzr/{repo_id} | 
[**get_project_git**](ProjectApi.md#get_project_git) | **GET** /project/{id_or_name}/git/{repo_id} | 
[**get_project_git_hook**](ProjectApi.md#get_project_git_hook) | **GET** /project/{id_or_name}/git/{repo_id}/hooks/{hook_id} | 
[**get_project_hg**](ProjectApi.md#get_project_hg) | **GET** /project/{id_or_name}/hg/{repo_id} | 
[**get_project_histories**](ProjectApi.md#get_project_histories) | **GET** /project/{id_or_name}/history | 
[**get_project_profile**](ProjectApi.md#get_project_profile) | **GET** /project/{id_or_name}/admin/profile/{language_code} | 
[**get_project_profile_list**](ProjectApi.md#get_project_profile_list) | **GET** /project/{id_or_name}/admin/profile | 
[**get_project_svn**](ProjectApi.md#get_project_svn) | **GET** /project/{id_or_name}/svn | 
[**get_project_ticket**](ProjectApi.md#get_project_ticket) | **GET** /project/{id_or_name}/ticket/{ticket_id} | 
[**get_project_ticket_component**](ProjectApi.md#get_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component/{component_id} | 
[**get_project_ticket_milestone**](ProjectApi.md#get_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
[**get_project_ticket_type**](ProjectApi.md#get_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type/{type_id} | 
[**get_project_ticket_type_instruction**](ProjectApi.md#get_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
[**get_project_ticket_type_instruction_0**](ProjectApi.md#get_project_ticket_type_instruction_0) | **PATCH** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
[**get_project_tools**](ProjectApi.md#get_project_tools) | **GET** /project/{id_or_name}/admin/tools | 
[**get_release**](ProjectApi.md#get_release) | **GET** /project/{id_or_name}/frs/{package_id}/{release_id} | 
[**get_release_file**](ProjectApi.md#get_release_file) | **GET** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 
[**list_news**](ProjectApi.md#list_news) | **GET** /news | 
[**list_news_0**](ProjectApi.md#list_news_0) | **GET** /project/{id_or_name}/news | 
[**list_packages**](ProjectApi.md#list_packages) | **GET** /project/{id_or_name}/frs | 
[**list_project_bzr**](ProjectApi.md#list_project_bzr) | **GET** /project/{id_or_name}/bzr | 
[**list_project_git**](ProjectApi.md#list_project_git) | **GET** /project/{id_or_name}/git | 
[**list_project_git_hook**](ProjectApi.md#list_project_git_hook) | **GET** /project/{id_or_name}/git/{repo_id}/hooks | 
[**list_project_hg**](ProjectApi.md#list_project_hg) | **GET** /project/{id_or_name}/hg | 
[**list_project_ticket**](ProjectApi.md#list_project_ticket) | **GET** /project/{id_or_name}/ticket | 
[**list_project_ticket_comment**](ProjectApi.md#list_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment | 
[**list_project_ticket_component**](ProjectApi.md#list_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component | 
[**list_project_ticket_milestone**](ProjectApi.md#list_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone | 
[**list_project_ticket_type**](ProjectApi.md#list_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type | 
[**list_project_ticket_type_instruction**](ProjectApi.md#list_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
[**show_project_ticket_adminprefs**](ProjectApi.md#show_project_ticket_adminprefs) | **GET** /project/{id_or_name}/ticket/admin | 
[**show_project_ticket_comment**](ProjectApi.md#show_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment/{comment_id} | 
[**update_frs_adminprefs**](ProjectApi.md#update_frs_adminprefs) | **PATCH** /project/{id_or_name}/frs/admin | 
[**update_news**](ProjectApi.md#update_news) | **PATCH** /news/{news_id} | 
[**update_news_0**](ProjectApi.md#update_news_0) | **PATCH** /project/{id_or_name}/news/{news_id} | 
[**update_package**](ProjectApi.md#update_package) | **PATCH** /project/{id_or_name}/frs/{package_id} | 
[**update_project_admin_projectweb**](ProjectApi.md#update_project_admin_projectweb) | **PATCH** /project/{id_or_name}/admin/project_web | 
[**update_project_bzr**](ProjectApi.md#update_project_bzr) | **PATCH** /project/{id_or_name}/bzr/{repo_id} | 
[**update_project_git**](ProjectApi.md#update_project_git) | **PATCH** /project/{id_or_name}/git/{repo_id} | 
[**update_project_hg**](ProjectApi.md#update_project_hg) | **PATCH** /project/{id_or_name}/hg/{repo_id} | 
[**update_project_profile**](ProjectApi.md#update_project_profile) | **PATCH** /project/{id_or_name}/admin/profile/{language_code} | 
[**update_project_ticket**](ProjectApi.md#update_project_ticket) | **PATCH** /project/{id_or_name}/ticket/{ticket_id} | 
[**update_project_ticket_adminprefs**](ProjectApi.md#update_project_ticket_adminprefs) | **PATCH** /project/{id_or_name}/ticket/admin | 
[**update_project_ticket_component**](ProjectApi.md#update_project_ticket_component) | **PATCH** /project/{id_or_name}/ticket/component/{component_id} | 
[**update_project_ticket_milestone**](ProjectApi.md#update_project_ticket_milestone) | **PATCH** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
[**update_project_ticket_type**](ProjectApi.md#update_project_ticket_type) | **PATCH** /project/{id_or_name}/ticket/type/{type_id} | 
[**update_project_tools**](ProjectApi.md#update_project_tools) | **PATCH** /project/{id_or_name}/admin/tools | 
[**update_release**](ProjectApi.md#update_release) | **PATCH** /project/{id_or_name}/frs/{package_id}/{release_id} | 
[**update_release_file**](ProjectApi.md#update_release_file) | **PATCH** /project/{id_or_name}/frs/{package_id}/{release_id}/{file_id} | 


# **create_news**
> String create_news(title, body, group_id)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

title = "title_example" # String | news title

body = "body_example" # String | news body in OSDN Wiki format.

group_id = 56 # Integer | group_id the news created in


begin
  result = api_instance.create_news(title, body, group_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **title** | **String**| news title | 
 **body** | **String**| news body in OSDN Wiki format. | 
 **group_id** | **Integer**| group_id the news created in | 

### Return type

**String**

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_news_0**
> String create_news_0(id_or_name, title, body)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

title = "title_example" # String | news title

body = "body_example" # String | news body in OSDN Wiki format.


begin
  result = api_instance.create_news_0(id_or_name, title, body)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **title** | **String**| news title | 
 **body** | **String**| news body in OSDN Wiki format. | 

### Return type

**String**

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_package**
> Package create_package(id_or_name, name, opts)



Create a package.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | package name

opts = { 
  visibility: "visibility_example" # String | visibility status (public, hidden or private)
}

begin
  result = api_instance.create_package(id_or_name, name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_package: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| package name | 
 **visibility** | **String**| visibility status (public, hidden or private) | [optional] 

### Return type

[**Package**](Package.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_bzr**
> ProjectBzr create_project_bzr(id_or_name, name, opts)



Create a new bzr repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | 

opts = { 
  description: "description_example" # String | 
}

begin
  result = api_instance.create_project_bzr(id_or_name, name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_bzr: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**|  | 
 **description** | **String**|  | [optional] 

### Return type

[**ProjectBzr**](ProjectBzr.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_git**
> ProjectGit create_project_git(id_or_name, name, opts)



Create a new git repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | 

opts = { 
  description: "description_example", # String | 
  mail_enabled: true, # BOOLEAN | 
  mail_recipients: "mail_recipients_example", # String | 
  allow_non_fast_forward: true, # BOOLEAN | 
  default_branch: "default_branch_example" # String | 
}

begin
  result = api_instance.create_project_git(id_or_name, name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_git: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**|  | 
 **description** | **String**|  | [optional] 
 **mail_enabled** | **BOOLEAN**|  | [optional] 
 **mail_recipients** | **String**|  | [optional] 
 **allow_non_fast_forward** | **BOOLEAN**|  | [optional] 
 **default_branch** | **String**|  | [optional] 

### Return type

[**ProjectGit**](ProjectGit.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_git_hook**
> ScmHook create_project_git_hook(id_or_name, repo_id, target_url)



Create a new hook for project git repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 

target_url = "target_url_example" # String | 


begin
  result = api_instance.create_project_git_hook(id_or_name, repo_id, target_url)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_git_hook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 
 **target_url** | **String**|  | 

### Return type

[**ScmHook**](ScmHook.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_hg**
> ProjectHg create_project_hg(id_or_name, name, opts)



Create a new hg repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | 

opts = { 
  description: "description_example", # String | 
  mail_recipients: "mail_recipients_example" # String | 
}

begin
  result = api_instance.create_project_hg(id_or_name, name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_hg: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**|  | 
 **description** | **String**|  | [optional] 
 **mail_recipients** | **String**|  | [optional] 

### Return type

[**ProjectHg**](ProjectHg.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_profile**
> GroupProfile create_project_profile(id_or_name, language_code, display_name, description)



Create project profile for the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)

display_name = "display_name_example" # String | Project display name

description = "description_example" # String | Project description


begin
  result = api_instance.create_project_profile(id_or_name, language_code, display_name, description)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_profile: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 
 **display_name** | **String**| Project display name | 
 **description** | **String**| Project description | 

### Return type

[**GroupProfile**](GroupProfile.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket**
> ProjectTicketItem create_project_ticket(id_or_name, name, description, type_id, opts)



Create project ticket

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Project ticket name (title)

description = "description_example" # String | Project ticket description details

type_id = 56 # Integer | numeric project ticket type id

opts = { 
  milestone_id: 56, # Integer | numeric project ticket milestone id
  component_id: 56, # Integer | numeric project ticket component id
  priority: 56, # Integer | project ticket priority (min = 1 and max = 9)
  severity: 56, # Integer | project ticket severity (min = 1 and max = 9)
  owner: 56 # Integer | numeric project ticket owner user id
}

begin
  result = api_instance.create_project_ticket(id_or_name, name, description, type_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Project ticket name (title) | 
 **description** | **String**| Project ticket description details | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | [optional] 
 **component_id** | **Integer**| numeric project ticket component id | [optional] 
 **priority** | **Integer**| project ticket priority (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **severity** | **Integer**| project ticket severity (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **owner** | **Integer**| numeric project ticket owner user id | [optional] 

### Return type

[**ProjectTicketItem**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_comment**
> ProjectTicketComment create_project_ticket_comment(id_or_name, ticket_id, comment)



Create new project ticket comment of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id

comment = "comment_example" # String | Ticket comment text


begin
  result = api_instance.create_project_ticket_comment(id_or_name, ticket_id, comment)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_ticket_comment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 
 **comment** | **String**| Ticket comment text | 

### Return type

[**ProjectTicketComment**](ProjectTicketComment.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_component**
> Array&lt;ProjectTicketComponent&gt; create_project_ticket_component(id_or_name, name, description, opts)



Create new project ticket component of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Ticket component name

description = "description_example" # String | Ticket component description

opts = { 
  owner: 56, # Integer | Ticket componet owner user_id
  active: true # BOOLEAN | Ticket componet will be shown the component select list when this parameter is true
}

begin
  result = api_instance.create_project_ticket_component(id_or_name, name, description, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Ticket component name | 
 **description** | **String**| Ticket component description | 
 **owner** | **Integer**| Ticket componet owner user_id | [optional] 
 **active** | **BOOLEAN**| Ticket componet will be shown the component select list when this parameter is true | [optional] 

### Return type

[**Array&lt;ProjectTicketComponent&gt;**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_milestone**
> ProjectTicketMilestone create_project_ticket_milestone(id_or_name, name, description, opts)



Create new project ticket milestone of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Ticket milestone name

description = "description_example" # String | Ticket milestone description

opts = { 
  start: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Ticket milestone start date
  _end: DateTime.parse("2013-10-20T19:20:30+01:00") # DateTime | Ticket milestone due date
}

begin
  result = api_instance.create_project_ticket_milestone(id_or_name, name, description, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Ticket milestone name | 
 **description** | **String**| Ticket milestone description | 
 **start** | **DateTime**| Ticket milestone start date | [optional] 
 **_end** | **DateTime**| Ticket milestone due date | [optional] 

### Return type

[**ProjectTicketMilestone**](ProjectTicketMilestone.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_type**
> ProjectTicketType create_project_ticket_type(id_or_name, name, description, opts)



Create new project ticket type of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Ticket type name

description = "description_example" # String | Ticket type description

opts = { 
  is_public: true # BOOLEAN | if set as false, this type will be shown to project members only.
}

begin
  result = api_instance.create_project_ticket_type(id_or_name, name, description, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Ticket type name | 
 **description** | **String**| Ticket type description | 
 **is_public** | **BOOLEAN**| if set as false, this type will be shown to project members only. | [optional] 

### Return type

[**ProjectTicketType**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_type_instruction**
> ProjectTicketTypeInstructionPerLanguage create_project_ticket_type_instruction(id_or_name, type_id, language_code, instruction)



Create project ticket type instructions for the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)

instruction = "instruction_example" # String | Ticket submit instruction for the type


begin
  result = api_instance.create_project_ticket_type_instruction(id_or_name, type_id, language_code, instruction)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 
 **instruction** | **String**| Ticket submit instruction for the type | 

### Return type

[**ProjectTicketTypeInstructionPerLanguage**](ProjectTicketTypeInstructionPerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_release**
> Release create_release(id_or_name, package_id, name, opts)



Create new release in specified package.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

name = "name_example" # String | Release name

opts = { 
  visibility: "visibility_example", # String | visibility status (public, hidden or private)
  time: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Release datetime. If you set future time, the release hide until specified time.
  release_note: "release_note_example", # String | Release note body text.
  change_log: "change_log_example" # String | Changelog body text.
}

begin
  result = api_instance.create_release(id_or_name, package_id, name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_release: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **name** | **String**| Release name | 
 **visibility** | **String**| visibility status (public, hidden or private) | [optional] 
 **time** | **DateTime**| Release datetime. If you set future time, the release hide until specified time. | [optional] 
 **release_note** | **String**| Release note body text. | [optional] 
 **change_log** | **String**| Changelog body text. | [optional] 

### Return type

[**Release**](Release.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_release_file**
> RelFile create_release_file(id_or_name, package_id, release_id, file, opts)



Create new file in target release.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

release_id = 56 # Integer | 

file = File.new("/path/to/file.txt") # File | Upload file in \"multipart/form-data\".

opts = { 
  visibility: "visibility_example" # String | visibility status (public, hidden or private)
}

begin
  result = api_instance.create_release_file(id_or_name, package_id, release_id, file, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->create_release_file: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **release_id** | **Integer**|  | 
 **file** | **File**| Upload file in \&quot;multipart/form-data\&quot;. | 
 **visibility** | **String**| visibility status (public, hidden or private) | [optional] 

### Return type

[**RelFile**](RelFile.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: Not defined



# **delete_news**
> delete_news(news_id)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

news_id = 56 # Integer | 


begin
  api_instance.delete_news(news_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_news_0**
> delete_news_0(id_or_name, news_id)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

news_id = 56 # Integer | 


begin
  api_instance.delete_news_0(id_or_name, news_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **news_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_package**
> delete_package(id_or_name, package_id)



Delete taret package.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 


begin
  api_instance.delete_package(id_or_name, package_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_package: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_admin_projectweb**
> delete_project_admin_projectweb(id_or_name)



Delete project homepage url

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  api_instance.delete_project_admin_projectweb(id_or_name)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_project_admin_projectweb: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_git_hook**
> delete_project_git_hook(id_or_name, repo_id, hook_id)



Delete a Git repository hook

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 

hook_id = 56 # Integer | 


begin
  api_instance.delete_project_git_hook(id_or_name, repo_id, hook_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_project_git_hook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 
 **hook_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_profile**
> delete_project_profile(id_or_name, language_code)



Delete project profile for the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)


begin
  api_instance.delete_project_profile(id_or_name, language_code)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_project_profile: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_component**
> delete_project_ticket_component(id_or_name, component_id, migrate_to)



Delete project ticket component

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

component_id = 56 # Integer | numeric project ticket component id

migrate_to = 56 # Integer | Tickets that assigned to delete target will be migrate to the ticket component_id


begin
  api_instance.delete_project_ticket_component(id_or_name, component_id, migrate_to)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **component_id** | **Integer**| numeric project ticket component id | 
 **migrate_to** | **Integer**| Tickets that assigned to delete target will be migrate to the ticket component_id | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_milestone**
> delete_project_ticket_milestone(id_or_name, milestone_id, opts)



Delete project ticket milestone

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

milestone_id = 56 # Integer | numeric project ticket milestone id

opts = { 
  migrate_to: 56 # Integer | Tickets that assigned to delete target will be migrate to the ticket milestone_id
}

begin
  api_instance.delete_project_ticket_milestone(id_or_name, milestone_id, opts)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | 
 **migrate_to** | **Integer**| Tickets that assigned to delete target will be migrate to the ticket milestone_id | [optional] 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_type**
> delete_project_ticket_type(id_or_name, type_id, migrate_to)



Delete project ticket type

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

migrate_to = 56 # Integer | Tickets that assigned to delete target will be migrate to the ticket type_id


begin
  api_instance.delete_project_ticket_type(id_or_name, type_id, migrate_to)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **migrate_to** | **Integer**| Tickets that assigned to delete target will be migrate to the ticket type_id | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_type_instruction**
> delete_project_ticket_type_instruction(id_or_name, type_id, language_code)



Delete project ticket type instructions on the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)


begin
  api_instance.delete_project_ticket_type_instruction(id_or_name, type_id, language_code)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_release**
> delete_release(id_or_name, package_id, release_id)



Delete target release.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

release_id = 56 # Integer | 


begin
  api_instance.delete_release(id_or_name, package_id, release_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_release: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **release_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_release_file**
> delete_release_file(id_or_name, package_id, release_id, file_id)



Delete target file.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

release_id = 56 # Integer | 

file_id = 56 # Integer | 


begin
  api_instance.delete_release_file(id_or_name, package_id, release_id, file_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->delete_release_file: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **release_id** | **Integer**|  | 
 **file_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **disable_project_bzr**
> ProjectBzr disable_project_bzr(id_or_name, repo_id)



Disable a bzr repository (not an actual delete, just a shorthand for updating with active=false)

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 


begin
  result = api_instance.disable_project_bzr(id_or_name, repo_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->disable_project_bzr: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 

### Return type

[**ProjectBzr**](ProjectBzr.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **disable_project_git**
> ProjectGit disable_project_git(id_or_name, repo_id)



Disable a git repository (not an actual delete, just a shorthand for updating with active=false)

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 


begin
  result = api_instance.disable_project_git(id_or_name, repo_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->disable_project_git: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 

### Return type

[**ProjectGit**](ProjectGit.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **disable_project_hg**
> ProjectHg disable_project_hg(id_or_name, repo_id)



Disable a hg repository (not an actual delete, just a shorthand for updating with active=false)

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 


begin
  result = api_instance.disable_project_hg(id_or_name, repo_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->disable_project_hg: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 

### Return type

[**ProjectHg**](ProjectHg.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **draft_release**
> Release draft_release(id_or_name, package_id)



Get release draft in specified package. If draft is not exist, it will be created automatically.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 


begin
  result = api_instance.draft_release(id_or_name, package_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->draft_release: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 

### Return type

[**Release**](Release.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_frs_adminprefs**
> FrsAdminPrefs get_frs_adminprefs(id_or_name)



Get project frs admin preferences.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.get_frs_adminprefs(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_frs_adminprefs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**FrsAdminPrefs**](FrsAdminPrefs.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_news**
> News get_news(news_id)



Get single news object.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

news_id = 56 # Integer | 


begin
  result = api_instance.get_news(news_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_news_0**
> News get_news_0(id_or_name, news_id)



Get single news object.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

news_id = 56 # Integer | 


begin
  result = api_instance.get_news_0(id_or_name, news_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **news_id** | **Integer**|  | 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_package**
> Package get_package(id_or_name, package_id)



Get specified package info and release list of the package.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 


begin
  result = api_instance.get_package(id_or_name, package_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_package: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 

### Return type

[**Package**](Package.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project**
> Group get_project(id_or_name)



Get project info.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.get_project(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Group**](Group.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_admin_projectweb**
> ProjectWeb get_project_admin_projectweb(id_or_name)



Get project homepage url

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.get_project_admin_projectweb(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_admin_projectweb: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**ProjectWeb**](ProjectWeb.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_bzr**
> ProjectBzr get_project_bzr(id_or_name, repo_id)



Get a bzr repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 


begin
  result = api_instance.get_project_bzr(id_or_name, repo_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_bzr: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 

### Return type

[**ProjectBzr**](ProjectBzr.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_git**
> ProjectGit get_project_git(id_or_name, repo_id)



Get a git repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 


begin
  result = api_instance.get_project_git(id_or_name, repo_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_git: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 

### Return type

[**ProjectGit**](ProjectGit.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_git_hook**
> ScmHook get_project_git_hook(id_or_name, repo_id, hook_id)



Get a repository hook

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 

hook_id = 56 # Integer | 


begin
  result = api_instance.get_project_git_hook(id_or_name, repo_id, hook_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_git_hook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 
 **hook_id** | **Integer**|  | 

### Return type

[**ScmHook**](ScmHook.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_hg**
> ProjectHg get_project_hg(id_or_name, repo_id)



Get a hg repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 


begin
  result = api_instance.get_project_hg(id_or_name, repo_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_hg: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 

### Return type

[**ProjectHg**](ProjectHg.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_histories**
> Array&lt;History&gt; get_project_histories(id_or_name)



Get project histories.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.get_project_histories(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_histories: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;History&gt;**](History.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_profile**
> GroupProfilePerLanguage get_project_profile(id_or_name, language_code)



Get project profile on the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)


begin
  result = api_instance.get_project_profile(id_or_name, language_code)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_profile: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 

### Return type

[**GroupProfilePerLanguage**](GroupProfilePerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_profile_list**
> GroupProfile get_project_profile_list(id_or_name)



Get project profile in all languages

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.get_project_profile_list(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_profile_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**GroupProfile**](GroupProfile.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_svn**
> ProjectSvn get_project_svn(id_or_name)



Get Subversion repository of the project

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.get_project_svn(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_svn: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**ProjectSvn**](ProjectSvn.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket**
> ProjectTicketItem get_project_ticket(id_or_name, ticket_id)



Get project ticket

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id


begin
  result = api_instance.get_project_ticket(id_or_name, ticket_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 

### Return type

[**ProjectTicketItem**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_component**
> ProjectTicketComponent get_project_ticket_component(id_or_name, component_id)



Get project ticket component

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

component_id = 56 # Integer | numeric project ticket component id


begin
  result = api_instance.get_project_ticket_component(id_or_name, component_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **component_id** | **Integer**| numeric project ticket component id | 

### Return type

[**ProjectTicketComponent**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_milestone**
> ProjectTicketMilestone get_project_ticket_milestone(id_or_name, milestone_id)



Get project ticket milestone of spscified milestone_id.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

milestone_id = 56 # Integer | numeric project ticket milestone id


begin
  result = api_instance.get_project_ticket_milestone(id_or_name, milestone_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | 

### Return type

[**ProjectTicketMilestone**](ProjectTicketMilestone.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_type**
> ProjectTicketType get_project_ticket_type(id_or_name, type_id)



Get project ticket type

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id


begin
  result = api_instance.get_project_ticket_type(id_or_name, type_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 

### Return type

[**ProjectTicketType**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_type_instruction**
> ProjectTicketTypeInstructionPerLanguage get_project_ticket_type_instruction(id_or_name, type_id, language_code)



Get project ticket type instructions on the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)


begin
  result = api_instance.get_project_ticket_type_instruction(id_or_name, type_id, language_code)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 

### Return type

[**ProjectTicketTypeInstructionPerLanguage**](ProjectTicketTypeInstructionPerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_type_instruction_0**
> ProjectTicketTypeInstructionPerLanguage get_project_ticket_type_instruction_0(id_or_name, type_id, language_code, instruction)



Update project ticket type instructions on the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)

instruction = "instruction_example" # String | Ticket submit instruction for the type


begin
  result = api_instance.get_project_ticket_type_instruction_0(id_or_name, type_id, language_code, instruction)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_ticket_type_instruction_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 
 **instruction** | **String**| Ticket submit instruction for the type | 

### Return type

[**ProjectTicketTypeInstructionPerLanguage**](ProjectTicketTypeInstructionPerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_tools**
> GroupToolFlags get_project_tools(id_or_name)



Get project tools info.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.get_project_tools(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_project_tools: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**GroupToolFlags**](GroupToolFlags.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_release**
> Release get_release(id_or_name, package_id, release_id)



Get specified release info and file list of the release.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

release_id = 56 # Integer | 


begin
  result = api_instance.get_release(id_or_name, package_id, release_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_release: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **release_id** | **Integer**|  | 

### Return type

[**Release**](Release.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_release_file**
> RelFile get_release_file(id_or_name, package_id, release_id, file_id)



Get single file object.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

release_id = 56 # Integer | 

file_id = 56 # Integer | 


begin
  result = api_instance.get_release_file(id_or_name, package_id, release_id, file_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->get_release_file: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **release_id** | **Integer**|  | 
 **file_id** | **Integer**|  | 

### Return type

[**RelFile**](RelFile.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_news**
> Array&lt;News&gt; list_news(opts)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

opts = { 
  group_id: 56 # Integer | filter by group ID
}

begin
  result = api_instance.list_news(opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group_id** | **Integer**| filter by group ID | [optional] 

### Return type

[**Array&lt;News&gt;**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_news_0**
> Array&lt;News&gt; list_news_0(id_or_name)



Get news list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_news_0(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;News&gt;**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_packages**
> Array&lt;Package&gt; list_packages(id_or_name)



Get package list of specified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_packages(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_packages: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;Package&gt;**](Package.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_bzr**
> Array&lt;ProjectBzr&gt; list_project_bzr(id_or_name)



Get Bazzar repository list

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_bzr(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_bzr: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectBzr&gt;**](ProjectBzr.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_git**
> Array&lt;ProjectGit&gt; list_project_git(id_or_name)



Get git repository list

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_git(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_git: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectGit&gt;**](ProjectGit.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_git_hook**
> Array&lt;ScmHook&gt; list_project_git_hook(id_or_name, repo_id)



Get Git repository hook list

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 


begin
  result = api_instance.list_project_git_hook(id_or_name, repo_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_git_hook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 

### Return type

[**Array&lt;ScmHook&gt;**](ScmHook.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_hg**
> Array&lt;ProjectHg&gt; list_project_hg(id_or_name)



Get Mercurial repository list

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_hg(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_hg: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectHg&gt;**](ProjectHg.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket**
> Array&lt;ProjectTicketItem&gt; list_project_ticket(id_or_name, opts)



List project ticket order by submit date descending

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  status: ["status_example"], # Array<String> | Tickets are assigned to these type_ids
  type_id: [56], # Array<Integer> | Listing tickets are assigned to these type_ids
  not_type_id: [56], # Array<Integer> | Listing tickets are NOT assigned to these type_ids
  component_id: [56], # Array<Integer> | Listing tickets are assigned to these component_ids (If you want to indicate component is not assigned, please use component_id = 0)
  not_component_id: [56], # Array<Integer> | Listing tickets are NOT assigned to these component_ids (If you want to indicate component is not assigned, please use component_id = 0)
  milestone_id: [56], # Array<Integer> | Listing tickets are assigned to these milestone_ids (If you want to indicate milestone is not assigned, please use milestone_id = 0)
  not_milestone_id: [56], # Array<Integer> | Listing tickets are NOT assigned to these milestone_ids (milestone_id = 0 means milestone not assigned)
  max_priority: 56, # Integer | Listing equal or lower priority tickets
  min_priority: 56, # Integer | Listing equal or higher priority tickets
  priority: 56, # Integer | Listing tickets have this priority
  max_severity: 56, # Integer | Listing equal or lower severity tickets
  min_severity: 56, # Integer | Listing equal or higher severity tickets
  severity: 56, # Integer | Listing tickets have this severity
  owner: [56], # Array<Integer> | Listing tickets assigned to these owners (owner = 100 means owner is not assigned)
  not_owner: [56], # Array<Integer> | Listing tickets NOT assigned to these owners (owner = 100 means owner is not assigned)
  reporter: [56], # Array<Integer> | Listing tickets reported by these users (report = 100 means reported by non login user)
  not_reporter: [56], # Array<Integer> | Listing tickets reported by these users (report = 100 means reported by non login user)
  text: "text_example" # String | Listing tickets title or description or comment include the text
}

begin
  result = api_instance.list_project_ticket(id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **status** | [**Array&lt;String&gt;**](String.md)| Tickets are assigned to these type_ids | [optional] 
 **type_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are assigned to these type_ids | [optional] 
 **not_type_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are NOT assigned to these type_ids | [optional] 
 **component_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are assigned to these component_ids (If you want to indicate component is not assigned, please use component_id &#x3D; 0) | [optional] 
 **not_component_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are NOT assigned to these component_ids (If you want to indicate component is not assigned, please use component_id &#x3D; 0) | [optional] 
 **milestone_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are assigned to these milestone_ids (If you want to indicate milestone is not assigned, please use milestone_id &#x3D; 0) | [optional] 
 **not_milestone_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are NOT assigned to these milestone_ids (milestone_id &#x3D; 0 means milestone not assigned) | [optional] 
 **max_priority** | **Integer**| Listing equal or lower priority tickets | [optional] 
 **min_priority** | **Integer**| Listing equal or higher priority tickets | [optional] 
 **priority** | **Integer**| Listing tickets have this priority | [optional] 
 **max_severity** | **Integer**| Listing equal or lower severity tickets | [optional] 
 **min_severity** | **Integer**| Listing equal or higher severity tickets | [optional] 
 **severity** | **Integer**| Listing tickets have this severity | [optional] 
 **owner** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets assigned to these owners (owner &#x3D; 100 means owner is not assigned) | [optional] 
 **not_owner** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets NOT assigned to these owners (owner &#x3D; 100 means owner is not assigned) | [optional] 
 **reporter** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets reported by these users (report &#x3D; 100 means reported by non login user) | [optional] 
 **not_reporter** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets reported by these users (report &#x3D; 100 means reported by non login user) | [optional] 
 **text** | **String**| Listing tickets title or description or comment include the text | [optional] 

### Return type

[**Array&lt;ProjectTicketItem&gt;**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_comment**
> Array&lt;ProjectTicketComment&gt; list_project_ticket_comment(id_or_name, ticket_id)



Get project ticket comment list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id


begin
  result = api_instance.list_project_ticket_comment(id_or_name, ticket_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_ticket_comment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 

### Return type

[**Array&lt;ProjectTicketComment&gt;**](ProjectTicketComment.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_component**
> Array&lt;ProjectTicketComponent&gt; list_project_ticket_component(id_or_name)



Get project ticket component list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_ticket_component(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectTicketComponent&gt;**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_milestone**
> Array&lt;ProjectTicketMilestone&gt; list_project_ticket_milestone(id_or_name)



Get project ticket milestone list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_ticket_milestone(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectTicketMilestone&gt;**](ProjectTicketMilestone.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_type**
> Array&lt;ProjectTicketType&gt; list_project_ticket_type(id_or_name)



Get project ticket type list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_ticket_type(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectTicketType&gt;**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_type_instruction**
> ProjectTicketTypeInstructions list_project_ticket_type_instruction(id_or_name, type_id)



Get project ticket type instructions

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id


begin
  result = api_instance.list_project_ticket_type_instruction(id_or_name, type_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->list_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 

### Return type

[**ProjectTicketTypeInstructions**](ProjectTicketTypeInstructions.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **show_project_ticket_adminprefs**
> ProjectTicketPrefs show_project_ticket_adminprefs(id_or_name)



Get project ticket admin preferences.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.show_project_ticket_adminprefs(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->show_project_ticket_adminprefs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**ProjectTicketPrefs**](ProjectTicketPrefs.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **show_project_ticket_comment**
> ProjectTicketComment show_project_ticket_comment(id_or_name, ticket_id, comment_id)



Get project ticket comment spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id

comment_id = 56 # Integer | numeric project ticket comment id


begin
  result = api_instance.show_project_ticket_comment(id_or_name, ticket_id, comment_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->show_project_ticket_comment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 
 **comment_id** | **Integer**| numeric project ticket comment id | 

### Return type

[**ProjectTicketComment**](ProjectTicketComment.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_frs_adminprefs**
> FrsAdminPrefs update_frs_adminprefs(id_or_name, opts)



Update project frs admin preferences.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  allow_overwrite: true # BOOLEAN | Allow overwrite files when filenames are conflict
}

begin
  result = api_instance.update_frs_adminprefs(id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_frs_adminprefs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **allow_overwrite** | **BOOLEAN**| Allow overwrite files when filenames are conflict | [optional] 

### Return type

[**FrsAdminPrefs**](FrsAdminPrefs.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_news**
> News update_news(news_id, opts)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

news_id = 56 # Integer | 

opts = { 
  title: "title_example", # String | news title
  body: "body_example" # String | news body in OSDN Wiki format.
}

begin
  result = api_instance.update_news(news_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 
 **title** | **String**| news title | [optional] 
 **body** | **String**| news body in OSDN Wiki format. | [optional] 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_news_0**
> News update_news_0(news_id, id_or_name, opts)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

news_id = 56 # Integer | 

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  title: "title_example", # String | news title
  body: "body_example" # String | news body in OSDN Wiki format.
}

begin
  result = api_instance.update_news_0(news_id, id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 
 **id_or_name** | **String**| numeric project id or project name | 
 **title** | **String**| news title | [optional] 
 **body** | **String**| news body in OSDN Wiki format. | [optional] 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_package**
> Package update_package(id_or_name, package_id, opts)



Update tagret package.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

opts = { 
  name: "name_example", # String | package name
  visibility: "visibility_example" # String | visibility status (public, hidden or private)
}

begin
  result = api_instance.update_package(id_or_name, package_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_package: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **name** | **String**| package name | [optional] 
 **visibility** | **String**| visibility status (public, hidden or private) | [optional] 

### Return type

[**Package**](Package.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_admin_projectweb**
> ProjectWeb update_project_admin_projectweb(id_or_name, opts)



Update project homepage url

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  homepage: "homepage_example", # String | Project home page full URL (should start with http:// or https://). If reset param is true, this url will be ignored (URL will be reset to default url)
  reset: true # BOOLEAN | Project home page URL reset to default value
}

begin
  result = api_instance.update_project_admin_projectweb(id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_admin_projectweb: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **homepage** | **String**| Project home page full URL (should start with http:// or https://). If reset param is true, this url will be ignored (URL will be reset to default url) | [optional] 
 **reset** | **BOOLEAN**| Project home page URL reset to default value | [optional] 

### Return type

[**ProjectWeb**](ProjectWeb.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_bzr**
> ProjectBzr update_project_bzr(id_or_name, repo_id, opts)



Update a bzr repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 

opts = { 
  description: "description_example", # String | 
  active: true # BOOLEAN | 
}

begin
  result = api_instance.update_project_bzr(id_or_name, repo_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_bzr: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 
 **description** | **String**|  | [optional] 
 **active** | **BOOLEAN**|  | [optional] 

### Return type

[**ProjectBzr**](ProjectBzr.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_git**
> ProjectGit update_project_git(id_or_name, repo_id, opts)



Update a git repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 

opts = { 
  description: "description_example", # String | 
  mail_enabled: true, # BOOLEAN | 
  mail_recipients: "mail_recipients_example", # String | 
  allow_non_fast_forward: true, # BOOLEAN | 
  default_branch: "default_branch_example", # String | 
  active: true # BOOLEAN | 
}

begin
  result = api_instance.update_project_git(id_or_name, repo_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_git: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 
 **description** | **String**|  | [optional] 
 **mail_enabled** | **BOOLEAN**|  | [optional] 
 **mail_recipients** | **String**|  | [optional] 
 **allow_non_fast_forward** | **BOOLEAN**|  | [optional] 
 **default_branch** | **String**|  | [optional] 
 **active** | **BOOLEAN**|  | [optional] 

### Return type

[**ProjectGit**](ProjectGit.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_hg**
> ProjectHg update_project_hg(id_or_name, repo_id, opts)



Update a hg repository

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

repo_id = 56 # Integer | 

opts = { 
  description: "description_example", # String | 
  mail_recipients: "mail_recipients_example", # String | 
  active: true # BOOLEAN | 
}

begin
  result = api_instance.update_project_hg(id_or_name, repo_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_hg: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **repo_id** | **Integer**|  | 
 **description** | **String**|  | [optional] 
 **mail_recipients** | **String**|  | [optional] 
 **active** | **BOOLEAN**|  | [optional] 

### Return type

[**ProjectHg**](ProjectHg.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_profile**
> GroupProfilePerLanguage update_project_profile(id_or_name, language_code, opts)



Update project profile.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)

opts = { 
  display_name: "display_name_example", # String | Project display name
  description: "description_example" # String | Project description
}

begin
  result = api_instance.update_project_profile(id_or_name, language_code, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_profile: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 
 **display_name** | **String**| Project display name | [optional] 
 **description** | **String**| Project description | [optional] 

### Return type

[**GroupProfilePerLanguage**](GroupProfilePerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket**
> ProjectTicketItem update_project_ticket(id_or_name, ticket_id, opts)



Update project ticket

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id

opts = { 
  name: "name_example", # String | Project ticket name (title)
  description: "description_example", # String | Project ticket description details
  type_id: 56, # Integer | numeric project ticket type id
  milestone_id: 56, # Integer | numeric project ticket milestone id
  component_id: 56, # Integer | numeric project ticket component id
  priority: 56, # Integer | project ticket priority (min = 1 and max = 9)
  severity: 56, # Integer | project ticket severity (min = 1 and max = 9)
  owner: 56, # Integer | numeric project ticket owner user id
  resolution: "resolution_example", # String | project ticket resolution text
  status: "status_example" # String | project ticket status (open or close)
}

begin
  result = api_instance.update_project_ticket(id_or_name, ticket_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 
 **name** | **String**| Project ticket name (title) | [optional] 
 **description** | **String**| Project ticket description details | [optional] 
 **type_id** | **Integer**| numeric project ticket type id | [optional] 
 **milestone_id** | **Integer**| numeric project ticket milestone id | [optional] 
 **component_id** | **Integer**| numeric project ticket component id | [optional] 
 **priority** | **Integer**| project ticket priority (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **severity** | **Integer**| project ticket severity (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **owner** | **Integer**| numeric project ticket owner user id | [optional] 
 **resolution** | **String**| project ticket resolution text | [optional] 
 **status** | **String**| project ticket status (open or close) | [optional] 

### Return type

[**ProjectTicketItem**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_adminprefs**
> ProjectTicketPrefs update_project_ticket_adminprefs(id_or_name, opts)



Update project ticket admin preferences.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  allow_anonymouse: true, # BOOLEAN | Non login user allows to post new ticket/comment
  frs_autosync: "frs_autosync_example", # String | Componet File release autosync type 'Disabled', 'Package', 'Release', 'Package and Release'
  mailsend_type: "mailsend_type_example", # String | Ticket update mail destination type 'None', 'Ticket Technician', 'Ticket Administrator', 'Ticket Administrator and Technician', 'All project members', 'Mailing List'
  mailing_list_id: 56, # Integer | Ticket update mail destination mail list id (it is only used when mailsend_type is mailing list)
  mail_lang: "mail_lang_example" # String | Ticket update mail language
}

begin
  result = api_instance.update_project_ticket_adminprefs(id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_ticket_adminprefs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **allow_anonymouse** | **BOOLEAN**| Non login user allows to post new ticket/comment | [optional] 
 **frs_autosync** | **String**| Componet File release autosync type &#39;Disabled&#39;, &#39;Package&#39;, &#39;Release&#39;, &#39;Package and Release&#39; | [optional] 
 **mailsend_type** | **String**| Ticket update mail destination type &#39;None&#39;, &#39;Ticket Technician&#39;, &#39;Ticket Administrator&#39;, &#39;Ticket Administrator and Technician&#39;, &#39;All project members&#39;, &#39;Mailing List&#39; | [optional] 
 **mailing_list_id** | **Integer**| Ticket update mail destination mail list id (it is only used when mailsend_type is mailing list) | [optional] 
 **mail_lang** | **String**| Ticket update mail language | [optional] 

### Return type

[**ProjectTicketPrefs**](ProjectTicketPrefs.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_component**
> ProjectTicketComponent update_project_ticket_component(id_or_name, component_id, opts)



Update project ticket component

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

component_id = 56 # Integer | numeric project ticket component id

opts = { 
  name: "name_example", # String | Ticket component name
  description: "description_example", # String | Ticket component description
  owner: 56, # Integer | Ticket componet owner user_id
  active: true # BOOLEAN | Ticket componet will be shown the component select list when this parameter is true
}

begin
  result = api_instance.update_project_ticket_component(id_or_name, component_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **component_id** | **Integer**| numeric project ticket component id | 
 **name** | **String**| Ticket component name | [optional] 
 **description** | **String**| Ticket component description | [optional] 
 **owner** | **Integer**| Ticket componet owner user_id | [optional] 
 **active** | **BOOLEAN**| Ticket componet will be shown the component select list when this parameter is true | [optional] 

### Return type

[**ProjectTicketComponent**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_milestone**
> ProjectTicketComponent update_project_ticket_milestone(id_or_name, milestone_id, opts)



Update project ticket milestone

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

milestone_id = 56 # Integer | numeric project ticket milestone id

opts = { 
  name: "name_example", # String | Ticket milestone name
  description: "description_example", # String | Ticket milestone description
  start: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Ticket milestone start date
  _end: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Ticket milestone due date
  force_status: "force_status_example" # String | If you want to force close the milestone set to 'close' or reopen it set to 'reopen'
}

begin
  result = api_instance.update_project_ticket_milestone(id_or_name, milestone_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | 
 **name** | **String**| Ticket milestone name | [optional] 
 **description** | **String**| Ticket milestone description | [optional] 
 **start** | **DateTime**| Ticket milestone start date | [optional] 
 **_end** | **DateTime**| Ticket milestone due date | [optional] 
 **force_status** | **String**| If you want to force close the milestone set to &#39;close&#39; or reopen it set to &#39;reopen&#39; | [optional] 

### Return type

[**ProjectTicketComponent**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_type**
> ProjectTicketType update_project_ticket_type(id_or_name, type_id, opts)



Update project ticket type

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

opts = { 
  name: "name_example", # String | Ticket type name
  description: "description_example", # String | Ticket type description
  is_public: true # BOOLEAN | if set as false, this type will be shown to project members only.
}

begin
  result = api_instance.update_project_ticket_type(id_or_name, type_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **name** | **String**| Ticket type name | [optional] 
 **description** | **String**| Ticket type description | [optional] 
 **is_public** | **BOOLEAN**| if set as false, this type will be shown to project members only. | [optional] 

### Return type

[**ProjectTicketType**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_tools**
> GroupToolFlags update_project_tools(id_or_name, opts)



Update project tools info.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  git: true, # BOOLEAN | use git flag
  svn: true, # BOOLEAN | use Subversion flag
  hg: true, # BOOLEAN | use Mercurial(Hg) flag
  bzr: true, # BOOLEAN | use Bazaar flag
  frs: true, # BOOLEAN | use File Release flag
  ticket: true, # BOOLEAN | use Ticket flag
  wiki: true, # BOOLEAN | use Wiki flag
  forum: true, # BOOLEAN | use Forum flag
  ml: true # BOOLEAN | use Mailing List flag
}

begin
  result = api_instance.update_project_tools(id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_project_tools: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **git** | **BOOLEAN**| use git flag | [optional] 
 **svn** | **BOOLEAN**| use Subversion flag | [optional] 
 **hg** | **BOOLEAN**| use Mercurial(Hg) flag | [optional] 
 **bzr** | **BOOLEAN**| use Bazaar flag | [optional] 
 **frs** | **BOOLEAN**| use File Release flag | [optional] 
 **ticket** | **BOOLEAN**| use Ticket flag | [optional] 
 **wiki** | **BOOLEAN**| use Wiki flag | [optional] 
 **forum** | **BOOLEAN**| use Forum flag | [optional] 
 **ml** | **BOOLEAN**| use Mailing List flag | [optional] 

### Return type

[**GroupToolFlags**](GroupToolFlags.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_release**
> Release update_release(id_or_name, package_id, release_id, opts)



Update target release. (Note: If you update draft release, the release will be public automatically.) 

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

release_id = 56 # Integer | 

opts = { 
  visibility: "visibility_example", # String | visibility status (public, hidden or private)
  name: "name_example", # String | Release name
  time: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Release datetime. If you set future time, the release hide until specified time.
  move_to_package_id: 56 # Integer | If this parameter is specified, the release move to another package.
}

begin
  result = api_instance.update_release(id_or_name, package_id, release_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_release: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **release_id** | **Integer**|  | 
 **visibility** | **String**| visibility status (public, hidden or private) | [optional] 
 **name** | **String**| Release name | [optional] 
 **time** | **DateTime**| Release datetime. If you set future time, the release hide until specified time. | [optional] 
 **move_to_package_id** | **Integer**| If this parameter is specified, the release move to another package. | [optional] 

### Return type

[**Release**](Release.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_release_file**
> RelFile update_release_file(id_or_name, package_id, release_id, file_id, opts)



Change visibility of target file.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

package_id = 56 # Integer | 

release_id = 56 # Integer | 

file_id = 56 # Integer | 

opts = { 
  visibility: "visibility_example" # String | visibility status (public, hidden or private)
}

begin
  result = api_instance.update_release_file(id_or_name, package_id, release_id, file_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectApi->update_release_file: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **package_id** | **Integer**|  | 
 **release_id** | **Integer**|  | 
 **file_id** | **Integer**|  | 
 **visibility** | **String**| visibility status (public, hidden or private) | [optional] 

### Return type

[**RelFile**](RelFile.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



