# OSDNClient::ProjectNewsApi

All URIs are relative to *https://osdn.net/api/v0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_news**](ProjectNewsApi.md#create_news) | **POST** /news | 
[**create_news_0**](ProjectNewsApi.md#create_news_0) | **POST** /project/{id_or_name}/news | 
[**delete_news**](ProjectNewsApi.md#delete_news) | **DELETE** /news/{news_id} | 
[**delete_news_0**](ProjectNewsApi.md#delete_news_0) | **DELETE** /project/{id_or_name}/news/{news_id} | 
[**get_news**](ProjectNewsApi.md#get_news) | **GET** /news/{news_id} | 
[**get_news_0**](ProjectNewsApi.md#get_news_0) | **GET** /project/{id_or_name}/news/{news_id} | 
[**list_news**](ProjectNewsApi.md#list_news) | **GET** /news | 
[**list_news_0**](ProjectNewsApi.md#list_news_0) | **GET** /project/{id_or_name}/news | 
[**update_news**](ProjectNewsApi.md#update_news) | **PATCH** /news/{news_id} | 
[**update_news_0**](ProjectNewsApi.md#update_news_0) | **PATCH** /project/{id_or_name}/news/{news_id} | 


# **create_news**
> String create_news(title, body, group_id)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

title = "title_example" # String | news title

body = "body_example" # String | news body in OSDN Wiki format.

group_id = 56 # Integer | group_id the news created in


begin
  result = api_instance.create_news(title, body, group_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->create_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **title** | **String**| news title | 
 **body** | **String**| news body in OSDN Wiki format. | 
 **group_id** | **Integer**| group_id the news created in | 

### Return type

**String**

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_news_0**
> String create_news_0(id_or_name, title, body)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

title = "title_example" # String | news title

body = "body_example" # String | news body in OSDN Wiki format.


begin
  result = api_instance.create_news_0(id_or_name, title, body)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->create_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **title** | **String**| news title | 
 **body** | **String**| news body in OSDN Wiki format. | 

### Return type

**String**

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_news**
> delete_news(news_id)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

news_id = 56 # Integer | 


begin
  api_instance.delete_news(news_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->delete_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_news_0**
> delete_news_0(id_or_name, news_id)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

news_id = 56 # Integer | 


begin
  api_instance.delete_news_0(id_or_name, news_id)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->delete_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **news_id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_news**
> News get_news(news_id)



Get single news object.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

news_id = 56 # Integer | 


begin
  result = api_instance.get_news(news_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->get_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_news_0**
> News get_news_0(id_or_name, news_id)



Get single news object.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

news_id = 56 # Integer | 


begin
  result = api_instance.get_news_0(id_or_name, news_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->get_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **news_id** | **Integer**|  | 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_news**
> Array&lt;News&gt; list_news(opts)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

opts = { 
  group_id: 56 # Integer | filter by group ID
}

begin
  result = api_instance.list_news(opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->list_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group_id** | **Integer**| filter by group ID | [optional] 

### Return type

[**Array&lt;News&gt;**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_news_0**
> Array&lt;News&gt; list_news_0(id_or_name)



Get news list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_news_0(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->list_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;News&gt;**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_news**
> News update_news(news_id, opts)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

news_id = 56 # Integer | 

opts = { 
  title: "title_example", # String | news title
  body: "body_example" # String | news body in OSDN Wiki format.
}

begin
  result = api_instance.update_news(news_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->update_news: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 
 **title** | **String**| news title | [optional] 
 **body** | **String**| news body in OSDN Wiki format. | [optional] 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_news_0**
> News update_news_0(news_id, id_or_name, opts)



### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectNewsApi.new

news_id = 56 # Integer | 

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  title: "title_example", # String | news title
  body: "body_example" # String | news body in OSDN Wiki format.
}

begin
  result = api_instance.update_news_0(news_id, id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectNewsApi->update_news_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **news_id** | **Integer**|  | 
 **id_or_name** | **String**| numeric project id or project name | 
 **title** | **String**| news title | [optional] 
 **body** | **String**| news body in OSDN Wiki format. | [optional] 

### Return type

[**News**](News.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



