# OSDNClient::ProjectTicketApi

All URIs are relative to *https://osdn.net/api/v0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_project_ticket**](ProjectTicketApi.md#create_project_ticket) | **POST** /project/{id_or_name}/ticket | 
[**create_project_ticket_comment**](ProjectTicketApi.md#create_project_ticket_comment) | **POST** /project/{id_or_name}/ticket/{ticket_id}/comment | 
[**create_project_ticket_component**](ProjectTicketApi.md#create_project_ticket_component) | **POST** /project/{id_or_name}/ticket/component | 
[**create_project_ticket_milestone**](ProjectTicketApi.md#create_project_ticket_milestone) | **POST** /project/{id_or_name}/ticket/milestone | 
[**create_project_ticket_type**](ProjectTicketApi.md#create_project_ticket_type) | **POST** /project/{id_or_name}/ticket/type | 
[**create_project_ticket_type_instruction**](ProjectTicketApi.md#create_project_ticket_type_instruction) | **POST** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
[**delete_project_ticket_component**](ProjectTicketApi.md#delete_project_ticket_component) | **DELETE** /project/{id_or_name}/ticket/component/{component_id} | 
[**delete_project_ticket_milestone**](ProjectTicketApi.md#delete_project_ticket_milestone) | **DELETE** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
[**delete_project_ticket_type**](ProjectTicketApi.md#delete_project_ticket_type) | **DELETE** /project/{id_or_name}/ticket/type/{type_id} | 
[**delete_project_ticket_type_instruction**](ProjectTicketApi.md#delete_project_ticket_type_instruction) | **DELETE** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
[**get_project_ticket**](ProjectTicketApi.md#get_project_ticket) | **GET** /project/{id_or_name}/ticket/{ticket_id} | 
[**get_project_ticket_component**](ProjectTicketApi.md#get_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component/{component_id} | 
[**get_project_ticket_milestone**](ProjectTicketApi.md#get_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
[**get_project_ticket_type**](ProjectTicketApi.md#get_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type/{type_id} | 
[**get_project_ticket_type_instruction**](ProjectTicketApi.md#get_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
[**get_project_ticket_type_instruction_0**](ProjectTicketApi.md#get_project_ticket_type_instruction_0) | **PATCH** /project/{id_or_name}/ticket/type/{type_id}/instruction/{language_code} | 
[**list_project_ticket**](ProjectTicketApi.md#list_project_ticket) | **GET** /project/{id_or_name}/ticket | 
[**list_project_ticket_comment**](ProjectTicketApi.md#list_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment | 
[**list_project_ticket_component**](ProjectTicketApi.md#list_project_ticket_component) | **GET** /project/{id_or_name}/ticket/component | 
[**list_project_ticket_milestone**](ProjectTicketApi.md#list_project_ticket_milestone) | **GET** /project/{id_or_name}/ticket/milestone | 
[**list_project_ticket_type**](ProjectTicketApi.md#list_project_ticket_type) | **GET** /project/{id_or_name}/ticket/type | 
[**list_project_ticket_type_instruction**](ProjectTicketApi.md#list_project_ticket_type_instruction) | **GET** /project/{id_or_name}/ticket/type/{type_id}/instruction | 
[**show_project_ticket_adminprefs**](ProjectTicketApi.md#show_project_ticket_adminprefs) | **GET** /project/{id_or_name}/ticket/admin | 
[**show_project_ticket_comment**](ProjectTicketApi.md#show_project_ticket_comment) | **GET** /project/{id_or_name}/ticket/{ticket_id}/comment/{comment_id} | 
[**update_project_ticket**](ProjectTicketApi.md#update_project_ticket) | **PATCH** /project/{id_or_name}/ticket/{ticket_id} | 
[**update_project_ticket_adminprefs**](ProjectTicketApi.md#update_project_ticket_adminprefs) | **PATCH** /project/{id_or_name}/ticket/admin | 
[**update_project_ticket_component**](ProjectTicketApi.md#update_project_ticket_component) | **PATCH** /project/{id_or_name}/ticket/component/{component_id} | 
[**update_project_ticket_milestone**](ProjectTicketApi.md#update_project_ticket_milestone) | **PATCH** /project/{id_or_name}/ticket/milestone/{milestone_id} | 
[**update_project_ticket_type**](ProjectTicketApi.md#update_project_ticket_type) | **PATCH** /project/{id_or_name}/ticket/type/{type_id} | 


# **create_project_ticket**
> ProjectTicketItem create_project_ticket(id_or_name, name, description, type_id, opts)



Create project ticket

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Project ticket name (title)

description = "description_example" # String | Project ticket description details

type_id = 56 # Integer | numeric project ticket type id

opts = { 
  milestone_id: 56, # Integer | numeric project ticket milestone id
  component_id: 56, # Integer | numeric project ticket component id
  priority: 56, # Integer | project ticket priority (min = 1 and max = 9)
  severity: 56, # Integer | project ticket severity (min = 1 and max = 9)
  owner: 56 # Integer | numeric project ticket owner user id
}

begin
  result = api_instance.create_project_ticket(id_or_name, name, description, type_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->create_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Project ticket name (title) | 
 **description** | **String**| Project ticket description details | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | [optional] 
 **component_id** | **Integer**| numeric project ticket component id | [optional] 
 **priority** | **Integer**| project ticket priority (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **severity** | **Integer**| project ticket severity (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **owner** | **Integer**| numeric project ticket owner user id | [optional] 

### Return type

[**ProjectTicketItem**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_comment**
> ProjectTicketComment create_project_ticket_comment(id_or_name, ticket_id, comment)



Create new project ticket comment of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id

comment = "comment_example" # String | Ticket comment text


begin
  result = api_instance.create_project_ticket_comment(id_or_name, ticket_id, comment)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->create_project_ticket_comment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 
 **comment** | **String**| Ticket comment text | 

### Return type

[**ProjectTicketComment**](ProjectTicketComment.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_component**
> Array&lt;ProjectTicketComponent&gt; create_project_ticket_component(id_or_name, name, description, opts)



Create new project ticket component of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Ticket component name

description = "description_example" # String | Ticket component description

opts = { 
  owner: 56, # Integer | Ticket componet owner user_id
  active: true # BOOLEAN | Ticket componet will be shown the component select list when this parameter is true
}

begin
  result = api_instance.create_project_ticket_component(id_or_name, name, description, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->create_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Ticket component name | 
 **description** | **String**| Ticket component description | 
 **owner** | **Integer**| Ticket componet owner user_id | [optional] 
 **active** | **BOOLEAN**| Ticket componet will be shown the component select list when this parameter is true | [optional] 

### Return type

[**Array&lt;ProjectTicketComponent&gt;**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_milestone**
> ProjectTicketMilestone create_project_ticket_milestone(id_or_name, name, description, opts)



Create new project ticket milestone of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Ticket milestone name

description = "description_example" # String | Ticket milestone description

opts = { 
  start: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Ticket milestone start date
  _end: DateTime.parse("2013-10-20T19:20:30+01:00") # DateTime | Ticket milestone due date
}

begin
  result = api_instance.create_project_ticket_milestone(id_or_name, name, description, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->create_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Ticket milestone name | 
 **description** | **String**| Ticket milestone description | 
 **start** | **DateTime**| Ticket milestone start date | [optional] 
 **_end** | **DateTime**| Ticket milestone due date | [optional] 

### Return type

[**ProjectTicketMilestone**](ProjectTicketMilestone.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_type**
> ProjectTicketType create_project_ticket_type(id_or_name, name, description, opts)



Create new project ticket type of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

name = "name_example" # String | Ticket type name

description = "description_example" # String | Ticket type description

opts = { 
  is_public: true # BOOLEAN | if set as false, this type will be shown to project members only.
}

begin
  result = api_instance.create_project_ticket_type(id_or_name, name, description, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->create_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **name** | **String**| Ticket type name | 
 **description** | **String**| Ticket type description | 
 **is_public** | **BOOLEAN**| if set as false, this type will be shown to project members only. | [optional] 

### Return type

[**ProjectTicketType**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **create_project_ticket_type_instruction**
> ProjectTicketTypeInstructionPerLanguage create_project_ticket_type_instruction(id_or_name, type_id, language_code, instruction)



Create project ticket type instructions for the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)

instruction = "instruction_example" # String | Ticket submit instruction for the type


begin
  result = api_instance.create_project_ticket_type_instruction(id_or_name, type_id, language_code, instruction)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->create_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 
 **instruction** | **String**| Ticket submit instruction for the type | 

### Return type

[**ProjectTicketTypeInstructionPerLanguage**](ProjectTicketTypeInstructionPerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_component**
> delete_project_ticket_component(id_or_name, component_id, migrate_to)



Delete project ticket component

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

component_id = 56 # Integer | numeric project ticket component id

migrate_to = 56 # Integer | Tickets that assigned to delete target will be migrate to the ticket component_id


begin
  api_instance.delete_project_ticket_component(id_or_name, component_id, migrate_to)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->delete_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **component_id** | **Integer**| numeric project ticket component id | 
 **migrate_to** | **Integer**| Tickets that assigned to delete target will be migrate to the ticket component_id | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_milestone**
> delete_project_ticket_milestone(id_or_name, milestone_id, opts)



Delete project ticket milestone

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

milestone_id = 56 # Integer | numeric project ticket milestone id

opts = { 
  migrate_to: 56 # Integer | Tickets that assigned to delete target will be migrate to the ticket milestone_id
}

begin
  api_instance.delete_project_ticket_milestone(id_or_name, milestone_id, opts)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->delete_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | 
 **migrate_to** | **Integer**| Tickets that assigned to delete target will be migrate to the ticket milestone_id | [optional] 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_type**
> delete_project_ticket_type(id_or_name, type_id, migrate_to)



Delete project ticket type

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

migrate_to = 56 # Integer | Tickets that assigned to delete target will be migrate to the ticket type_id


begin
  api_instance.delete_project_ticket_type(id_or_name, type_id, migrate_to)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->delete_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **migrate_to** | **Integer**| Tickets that assigned to delete target will be migrate to the ticket type_id | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **delete_project_ticket_type_instruction**
> delete_project_ticket_type_instruction(id_or_name, type_id, language_code)



Delete project ticket type instructions on the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)


begin
  api_instance.delete_project_ticket_type_instruction(id_or_name, type_id, language_code)
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->delete_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 

### Return type

nil (empty response body)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket**
> ProjectTicketItem get_project_ticket(id_or_name, ticket_id)



Get project ticket

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id


begin
  result = api_instance.get_project_ticket(id_or_name, ticket_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->get_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 

### Return type

[**ProjectTicketItem**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_component**
> ProjectTicketComponent get_project_ticket_component(id_or_name, component_id)



Get project ticket component

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

component_id = 56 # Integer | numeric project ticket component id


begin
  result = api_instance.get_project_ticket_component(id_or_name, component_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->get_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **component_id** | **Integer**| numeric project ticket component id | 

### Return type

[**ProjectTicketComponent**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_milestone**
> ProjectTicketMilestone get_project_ticket_milestone(id_or_name, milestone_id)



Get project ticket milestone of spscified milestone_id.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

milestone_id = 56 # Integer | numeric project ticket milestone id


begin
  result = api_instance.get_project_ticket_milestone(id_or_name, milestone_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->get_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | 

### Return type

[**ProjectTicketMilestone**](ProjectTicketMilestone.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_type**
> ProjectTicketType get_project_ticket_type(id_or_name, type_id)



Get project ticket type

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id


begin
  result = api_instance.get_project_ticket_type(id_or_name, type_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->get_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 

### Return type

[**ProjectTicketType**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_type_instruction**
> ProjectTicketTypeInstructionPerLanguage get_project_ticket_type_instruction(id_or_name, type_id, language_code)



Get project ticket type instructions on the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)


begin
  result = api_instance.get_project_ticket_type_instruction(id_or_name, type_id, language_code)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->get_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 

### Return type

[**ProjectTicketTypeInstructionPerLanguage**](ProjectTicketTypeInstructionPerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **get_project_ticket_type_instruction_0**
> ProjectTicketTypeInstructionPerLanguage get_project_ticket_type_instruction_0(id_or_name, type_id, language_code, instruction)



Update project ticket type instructions on the language

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

language_code = "language_code_example" # String | Language code for display name and description (example en, ja, zh-TW)

instruction = "instruction_example" # String | Ticket submit instruction for the type


begin
  result = api_instance.get_project_ticket_type_instruction_0(id_or_name, type_id, language_code, instruction)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->get_project_ticket_type_instruction_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **language_code** | **String**| Language code for display name and description (example en, ja, zh-TW) | 
 **instruction** | **String**| Ticket submit instruction for the type | 

### Return type

[**ProjectTicketTypeInstructionPerLanguage**](ProjectTicketTypeInstructionPerLanguage.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket**
> Array&lt;ProjectTicketItem&gt; list_project_ticket(id_or_name, opts)



List project ticket order by submit date descending

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  status: ["status_example"], # Array<String> | Tickets are assigned to these type_ids
  type_id: [56], # Array<Integer> | Listing tickets are assigned to these type_ids
  not_type_id: [56], # Array<Integer> | Listing tickets are NOT assigned to these type_ids
  component_id: [56], # Array<Integer> | Listing tickets are assigned to these component_ids (If you want to indicate component is not assigned, please use component_id = 0)
  not_component_id: [56], # Array<Integer> | Listing tickets are NOT assigned to these component_ids (If you want to indicate component is not assigned, please use component_id = 0)
  milestone_id: [56], # Array<Integer> | Listing tickets are assigned to these milestone_ids (If you want to indicate milestone is not assigned, please use milestone_id = 0)
  not_milestone_id: [56], # Array<Integer> | Listing tickets are NOT assigned to these milestone_ids (milestone_id = 0 means milestone not assigned)
  max_priority: 56, # Integer | Listing equal or lower priority tickets
  min_priority: 56, # Integer | Listing equal or higher priority tickets
  priority: 56, # Integer | Listing tickets have this priority
  max_severity: 56, # Integer | Listing equal or lower severity tickets
  min_severity: 56, # Integer | Listing equal or higher severity tickets
  severity: 56, # Integer | Listing tickets have this severity
  owner: [56], # Array<Integer> | Listing tickets assigned to these owners (owner = 100 means owner is not assigned)
  not_owner: [56], # Array<Integer> | Listing tickets NOT assigned to these owners (owner = 100 means owner is not assigned)
  reporter: [56], # Array<Integer> | Listing tickets reported by these users (report = 100 means reported by non login user)
  not_reporter: [56], # Array<Integer> | Listing tickets reported by these users (report = 100 means reported by non login user)
  text: "text_example" # String | Listing tickets title or description or comment include the text
}

begin
  result = api_instance.list_project_ticket(id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->list_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **status** | [**Array&lt;String&gt;**](String.md)| Tickets are assigned to these type_ids | [optional] 
 **type_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are assigned to these type_ids | [optional] 
 **not_type_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are NOT assigned to these type_ids | [optional] 
 **component_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are assigned to these component_ids (If you want to indicate component is not assigned, please use component_id &#x3D; 0) | [optional] 
 **not_component_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are NOT assigned to these component_ids (If you want to indicate component is not assigned, please use component_id &#x3D; 0) | [optional] 
 **milestone_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are assigned to these milestone_ids (If you want to indicate milestone is not assigned, please use milestone_id &#x3D; 0) | [optional] 
 **not_milestone_id** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets are NOT assigned to these milestone_ids (milestone_id &#x3D; 0 means milestone not assigned) | [optional] 
 **max_priority** | **Integer**| Listing equal or lower priority tickets | [optional] 
 **min_priority** | **Integer**| Listing equal or higher priority tickets | [optional] 
 **priority** | **Integer**| Listing tickets have this priority | [optional] 
 **max_severity** | **Integer**| Listing equal or lower severity tickets | [optional] 
 **min_severity** | **Integer**| Listing equal or higher severity tickets | [optional] 
 **severity** | **Integer**| Listing tickets have this severity | [optional] 
 **owner** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets assigned to these owners (owner &#x3D; 100 means owner is not assigned) | [optional] 
 **not_owner** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets NOT assigned to these owners (owner &#x3D; 100 means owner is not assigned) | [optional] 
 **reporter** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets reported by these users (report &#x3D; 100 means reported by non login user) | [optional] 
 **not_reporter** | [**Array&lt;Integer&gt;**](Integer.md)| Listing tickets reported by these users (report &#x3D; 100 means reported by non login user) | [optional] 
 **text** | **String**| Listing tickets title or description or comment include the text | [optional] 

### Return type

[**Array&lt;ProjectTicketItem&gt;**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_comment**
> Array&lt;ProjectTicketComment&gt; list_project_ticket_comment(id_or_name, ticket_id)



Get project ticket comment list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id


begin
  result = api_instance.list_project_ticket_comment(id_or_name, ticket_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->list_project_ticket_comment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 

### Return type

[**Array&lt;ProjectTicketComment&gt;**](ProjectTicketComment.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_component**
> Array&lt;ProjectTicketComponent&gt; list_project_ticket_component(id_or_name)



Get project ticket component list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_ticket_component(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->list_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectTicketComponent&gt;**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_milestone**
> Array&lt;ProjectTicketMilestone&gt; list_project_ticket_milestone(id_or_name)



Get project ticket milestone list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_ticket_milestone(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->list_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectTicketMilestone&gt;**](ProjectTicketMilestone.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_type**
> Array&lt;ProjectTicketType&gt; list_project_ticket_type(id_or_name)



Get project ticket type list of spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.list_project_ticket_type(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->list_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**Array&lt;ProjectTicketType&gt;**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **list_project_ticket_type_instruction**
> ProjectTicketTypeInstructions list_project_ticket_type_instruction(id_or_name, type_id)



Get project ticket type instructions

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id


begin
  result = api_instance.list_project_ticket_type_instruction(id_or_name, type_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->list_project_ticket_type_instruction: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 

### Return type

[**ProjectTicketTypeInstructions**](ProjectTicketTypeInstructions.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **show_project_ticket_adminprefs**
> ProjectTicketPrefs show_project_ticket_adminprefs(id_or_name)



Get project ticket admin preferences.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name


begin
  result = api_instance.show_project_ticket_adminprefs(id_or_name)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->show_project_ticket_adminprefs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 

### Return type

[**ProjectTicketPrefs**](ProjectTicketPrefs.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **show_project_ticket_comment**
> ProjectTicketComment show_project_ticket_comment(id_or_name, ticket_id, comment_id)



Get project ticket comment spscified project.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id

comment_id = 56 # Integer | numeric project ticket comment id


begin
  result = api_instance.show_project_ticket_comment(id_or_name, ticket_id, comment_id)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->show_project_ticket_comment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 
 **comment_id** | **Integer**| numeric project ticket comment id | 

### Return type

[**ProjectTicketComment**](ProjectTicketComment.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket**
> ProjectTicketItem update_project_ticket(id_or_name, ticket_id, opts)



Update project ticket

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

ticket_id = 56 # Integer | numeric project ticket id

opts = { 
  name: "name_example", # String | Project ticket name (title)
  description: "description_example", # String | Project ticket description details
  type_id: 56, # Integer | numeric project ticket type id
  milestone_id: 56, # Integer | numeric project ticket milestone id
  component_id: 56, # Integer | numeric project ticket component id
  priority: 56, # Integer | project ticket priority (min = 1 and max = 9)
  severity: 56, # Integer | project ticket severity (min = 1 and max = 9)
  owner: 56, # Integer | numeric project ticket owner user id
  resolution: "resolution_example", # String | project ticket resolution text
  status: "status_example" # String | project ticket status (open or close)
}

begin
  result = api_instance.update_project_ticket(id_or_name, ticket_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->update_project_ticket: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **ticket_id** | **Integer**| numeric project ticket id | 
 **name** | **String**| Project ticket name (title) | [optional] 
 **description** | **String**| Project ticket description details | [optional] 
 **type_id** | **Integer**| numeric project ticket type id | [optional] 
 **milestone_id** | **Integer**| numeric project ticket milestone id | [optional] 
 **component_id** | **Integer**| numeric project ticket component id | [optional] 
 **priority** | **Integer**| project ticket priority (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **severity** | **Integer**| project ticket severity (min &#x3D; 1 and max &#x3D; 9) | [optional] 
 **owner** | **Integer**| numeric project ticket owner user id | [optional] 
 **resolution** | **String**| project ticket resolution text | [optional] 
 **status** | **String**| project ticket status (open or close) | [optional] 

### Return type

[**ProjectTicketItem**](ProjectTicketItem.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_adminprefs**
> ProjectTicketPrefs update_project_ticket_adminprefs(id_or_name, opts)



Update project ticket admin preferences.

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

opts = { 
  allow_anonymouse: true, # BOOLEAN | Non login user allows to post new ticket/comment
  frs_autosync: "frs_autosync_example", # String | Componet File release autosync type 'Disabled', 'Package', 'Release', 'Package and Release'
  mailsend_type: "mailsend_type_example", # String | Ticket update mail destination type 'None', 'Ticket Technician', 'Ticket Administrator', 'Ticket Administrator and Technician', 'All project members', 'Mailing List'
  mailing_list_id: 56, # Integer | Ticket update mail destination mail list id (it is only used when mailsend_type is mailing list)
  mail_lang: "mail_lang_example" # String | Ticket update mail language
}

begin
  result = api_instance.update_project_ticket_adminprefs(id_or_name, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->update_project_ticket_adminprefs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **allow_anonymouse** | **BOOLEAN**| Non login user allows to post new ticket/comment | [optional] 
 **frs_autosync** | **String**| Componet File release autosync type &#39;Disabled&#39;, &#39;Package&#39;, &#39;Release&#39;, &#39;Package and Release&#39; | [optional] 
 **mailsend_type** | **String**| Ticket update mail destination type &#39;None&#39;, &#39;Ticket Technician&#39;, &#39;Ticket Administrator&#39;, &#39;Ticket Administrator and Technician&#39;, &#39;All project members&#39;, &#39;Mailing List&#39; | [optional] 
 **mailing_list_id** | **Integer**| Ticket update mail destination mail list id (it is only used when mailsend_type is mailing list) | [optional] 
 **mail_lang** | **String**| Ticket update mail language | [optional] 

### Return type

[**ProjectTicketPrefs**](ProjectTicketPrefs.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_component**
> ProjectTicketComponent update_project_ticket_component(id_or_name, component_id, opts)



Update project ticket component

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

component_id = 56 # Integer | numeric project ticket component id

opts = { 
  name: "name_example", # String | Ticket component name
  description: "description_example", # String | Ticket component description
  owner: 56, # Integer | Ticket componet owner user_id
  active: true # BOOLEAN | Ticket componet will be shown the component select list when this parameter is true
}

begin
  result = api_instance.update_project_ticket_component(id_or_name, component_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->update_project_ticket_component: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **component_id** | **Integer**| numeric project ticket component id | 
 **name** | **String**| Ticket component name | [optional] 
 **description** | **String**| Ticket component description | [optional] 
 **owner** | **Integer**| Ticket componet owner user_id | [optional] 
 **active** | **BOOLEAN**| Ticket componet will be shown the component select list when this parameter is true | [optional] 

### Return type

[**ProjectTicketComponent**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_milestone**
> ProjectTicketComponent update_project_ticket_milestone(id_or_name, milestone_id, opts)



Update project ticket milestone

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

milestone_id = 56 # Integer | numeric project ticket milestone id

opts = { 
  name: "name_example", # String | Ticket milestone name
  description: "description_example", # String | Ticket milestone description
  start: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Ticket milestone start date
  _end: DateTime.parse("2013-10-20T19:20:30+01:00"), # DateTime | Ticket milestone due date
  force_status: "force_status_example" # String | If you want to force close the milestone set to 'close' or reopen it set to 'reopen'
}

begin
  result = api_instance.update_project_ticket_milestone(id_or_name, milestone_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->update_project_ticket_milestone: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **milestone_id** | **Integer**| numeric project ticket milestone id | 
 **name** | **String**| Ticket milestone name | [optional] 
 **description** | **String**| Ticket milestone description | [optional] 
 **start** | **DateTime**| Ticket milestone start date | [optional] 
 **_end** | **DateTime**| Ticket milestone due date | [optional] 
 **force_status** | **String**| If you want to force close the milestone set to &#39;close&#39; or reopen it set to &#39;reopen&#39; | [optional] 

### Return type

[**ProjectTicketComponent**](ProjectTicketComponent.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



# **update_project_ticket_type**
> ProjectTicketType update_project_ticket_type(id_or_name, type_id, opts)



Update project ticket type

### Example
```ruby
# load the gem
require 'osdn-client'
# setup authorization
OSDNClient.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2-code
  config.access_token = 'YOUR ACCESS TOKEN'

  # Configure OAuth2 access token for authorization: oauth2-implicit
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OSDNClient::ProjectTicketApi.new

id_or_name = "id_or_name_example" # String | numeric project id or project name

type_id = 56 # Integer | numeric project ticket type id

opts = { 
  name: "name_example", # String | Ticket type name
  description: "description_example", # String | Ticket type description
  is_public: true # BOOLEAN | if set as false, this type will be shown to project members only.
}

begin
  result = api_instance.update_project_ticket_type(id_or_name, type_id, opts)
  p result
rescue OSDNClient::ApiError => e
  puts "Exception when calling ProjectTicketApi->update_project_ticket_type: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id_or_name** | **String**| numeric project id or project name | 
 **type_id** | **Integer**| numeric project ticket type id | 
 **name** | **String**| Ticket type name | [optional] 
 **description** | **String**| Ticket type description | [optional] 
 **is_public** | **BOOLEAN**| if set as false, this type will be shown to project members only. | [optional] 

### Return type

[**ProjectTicketType**](ProjectTicketType.md)

### Authorization

[oauth2-code](../README.md#oauth2-code), [oauth2-implicit](../README.md#oauth2-implicit)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined



