=begin
#OSDN REST API v0 beta

#OSDN REST API. Currently this API is experimental release. Pelase refer documentation on https://osdn.net/projects/osdn-codes/wiki/APIGuide and you can get client libraries from https://osdn.net/projects/osdn-codes/releases/p14859 . 

OpenAPI spec version: 0.0.20171120
Contact: admin@osdn.net
Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end

require 'spec_helper'
require 'json'

# Unit tests for OSDNClient::ProjectTicketApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ProjectTicketApi' do
  before do
    # run before each test
    @instance = OSDNClient::ProjectTicketApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ProjectTicketApi' do
    it 'should create an instact of ProjectTicketApi' do
      expect(@instance).to be_instance_of(OSDNClient::ProjectTicketApi)
    end
  end

  # unit tests for create_project_ticket
  # 
  # Create project ticket
  # @param id_or_name numeric project id or project name
  # @param name Project ticket name (title)
  # @param description Project ticket description details
  # @param type_id numeric project ticket type id
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :milestone_id numeric project ticket milestone id
  # @option opts [Integer] :component_id numeric project ticket component id
  # @option opts [Integer] :priority project ticket priority (min &#x3D; 1 and max &#x3D; 9)
  # @option opts [Integer] :severity project ticket severity (min &#x3D; 1 and max &#x3D; 9)
  # @option opts [Integer] :owner numeric project ticket owner user id
  # @return [ProjectTicketItem]
  describe 'create_project_ticket test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_project_ticket_comment
  # 
  # Create new project ticket comment of spscified project.
  # @param id_or_name numeric project id or project name
  # @param ticket_id numeric project ticket id
  # @param comment Ticket comment text
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketComment]
  describe 'create_project_ticket_comment test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_project_ticket_component
  # 
  # Create new project ticket component of spscified project.
  # @param id_or_name numeric project id or project name
  # @param name Ticket component name
  # @param description Ticket component description
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :owner Ticket componet owner user_id
  # @option opts [BOOLEAN] :active Ticket componet will be shown the component select list when this parameter is true
  # @return [Array<ProjectTicketComponent>]
  describe 'create_project_ticket_component test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_project_ticket_milestone
  # 
  # Create new project ticket milestone of spscified project.
  # @param id_or_name numeric project id or project name
  # @param name Ticket milestone name
  # @param description Ticket milestone description
  # @param [Hash] opts the optional parameters
  # @option opts [DateTime] :start Ticket milestone start date
  # @option opts [DateTime] :_end Ticket milestone due date
  # @return [ProjectTicketMilestone]
  describe 'create_project_ticket_milestone test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_project_ticket_type
  # 
  # Create new project ticket type of spscified project.
  # @param id_or_name numeric project id or project name
  # @param name Ticket type name
  # @param description Ticket type description
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :is_public if set as false, this type will be shown to project members only.
  # @return [ProjectTicketType]
  describe 'create_project_ticket_type test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_project_ticket_type_instruction
  # 
  # Create project ticket type instructions for the language
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param language_code Language code for display name and description (example en, ja, zh-TW)
  # @param instruction Ticket submit instruction for the type
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketTypeInstructionPerLanguage]
  describe 'create_project_ticket_type_instruction test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_project_ticket_component
  # 
  # Delete project ticket component
  # @param id_or_name numeric project id or project name
  # @param component_id numeric project ticket component id
  # @param migrate_to Tickets that assigned to delete target will be migrate to the ticket component_id
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_project_ticket_component test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_project_ticket_milestone
  # 
  # Delete project ticket milestone
  # @param id_or_name numeric project id or project name
  # @param milestone_id numeric project ticket milestone id
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :migrate_to Tickets that assigned to delete target will be migrate to the ticket milestone_id
  # @return [nil]
  describe 'delete_project_ticket_milestone test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_project_ticket_type
  # 
  # Delete project ticket type
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param migrate_to Tickets that assigned to delete target will be migrate to the ticket type_id
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_project_ticket_type test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_project_ticket_type_instruction
  # 
  # Delete project ticket type instructions on the language
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param language_code Language code for display name and description (example en, ja, zh-TW)
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_project_ticket_type_instruction test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_project_ticket
  # 
  # Get project ticket
  # @param id_or_name numeric project id or project name
  # @param ticket_id numeric project ticket id
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketItem]
  describe 'get_project_ticket test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_project_ticket_component
  # 
  # Get project ticket component
  # @param id_or_name numeric project id or project name
  # @param component_id numeric project ticket component id
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketComponent]
  describe 'get_project_ticket_component test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_project_ticket_milestone
  # 
  # Get project ticket milestone of spscified milestone_id.
  # @param id_or_name numeric project id or project name
  # @param milestone_id numeric project ticket milestone id
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketMilestone]
  describe 'get_project_ticket_milestone test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_project_ticket_type
  # 
  # Get project ticket type
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketType]
  describe 'get_project_ticket_type test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_project_ticket_type_instruction
  # 
  # Get project ticket type instructions on the language
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param language_code Language code for display name and description (example en, ja, zh-TW)
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketTypeInstructionPerLanguage]
  describe 'get_project_ticket_type_instruction test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_project_ticket_type_instruction_0
  # 
  # Update project ticket type instructions on the language
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param language_code Language code for display name and description (example en, ja, zh-TW)
  # @param instruction Ticket submit instruction for the type
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketTypeInstructionPerLanguage]
  describe 'get_project_ticket_type_instruction_0 test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_project_ticket
  # 
  # List project ticket order by submit date descending
  # @param id_or_name numeric project id or project name
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :status Tickets are assigned to these type_ids
  # @option opts [Array<Integer>] :type_id Listing tickets are assigned to these type_ids
  # @option opts [Array<Integer>] :not_type_id Listing tickets are NOT assigned to these type_ids
  # @option opts [Array<Integer>] :component_id Listing tickets are assigned to these component_ids (If you want to indicate component is not assigned, please use component_id &#x3D; 0)
  # @option opts [Array<Integer>] :not_component_id Listing tickets are NOT assigned to these component_ids (If you want to indicate component is not assigned, please use component_id &#x3D; 0)
  # @option opts [Array<Integer>] :milestone_id Listing tickets are assigned to these milestone_ids (If you want to indicate milestone is not assigned, please use milestone_id &#x3D; 0)
  # @option opts [Array<Integer>] :not_milestone_id Listing tickets are NOT assigned to these milestone_ids (milestone_id &#x3D; 0 means milestone not assigned)
  # @option opts [Integer] :max_priority Listing equal or lower priority tickets
  # @option opts [Integer] :min_priority Listing equal or higher priority tickets
  # @option opts [Integer] :priority Listing tickets have this priority
  # @option opts [Integer] :max_severity Listing equal or lower severity tickets
  # @option opts [Integer] :min_severity Listing equal or higher severity tickets
  # @option opts [Integer] :severity Listing tickets have this severity
  # @option opts [Array<Integer>] :owner Listing tickets assigned to these owners (owner &#x3D; 100 means owner is not assigned)
  # @option opts [Array<Integer>] :not_owner Listing tickets NOT assigned to these owners (owner &#x3D; 100 means owner is not assigned)
  # @option opts [Array<Integer>] :reporter Listing tickets reported by these users (report &#x3D; 100 means reported by non login user)
  # @option opts [Array<Integer>] :not_reporter Listing tickets reported by these users (report &#x3D; 100 means reported by non login user)
  # @option opts [String] :text Listing tickets title or description or comment include the text
  # @return [Array<ProjectTicketItem>]
  describe 'list_project_ticket test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_project_ticket_comment
  # 
  # Get project ticket comment list of spscified project.
  # @param id_or_name numeric project id or project name
  # @param ticket_id numeric project ticket id
  # @param [Hash] opts the optional parameters
  # @return [Array<ProjectTicketComment>]
  describe 'list_project_ticket_comment test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_project_ticket_component
  # 
  # Get project ticket component list of spscified project.
  # @param id_or_name numeric project id or project name
  # @param [Hash] opts the optional parameters
  # @return [Array<ProjectTicketComponent>]
  describe 'list_project_ticket_component test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_project_ticket_milestone
  # 
  # Get project ticket milestone list of spscified project.
  # @param id_or_name numeric project id or project name
  # @param [Hash] opts the optional parameters
  # @return [Array<ProjectTicketMilestone>]
  describe 'list_project_ticket_milestone test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_project_ticket_type
  # 
  # Get project ticket type list of spscified project.
  # @param id_or_name numeric project id or project name
  # @param [Hash] opts the optional parameters
  # @return [Array<ProjectTicketType>]
  describe 'list_project_ticket_type test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_project_ticket_type_instruction
  # 
  # Get project ticket type instructions
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketTypeInstructions]
  describe 'list_project_ticket_type_instruction test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_project_ticket_adminprefs
  # 
  # Get project ticket admin preferences.
  # @param id_or_name numeric project id or project name
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketPrefs]
  describe 'show_project_ticket_adminprefs test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for show_project_ticket_comment
  # 
  # Get project ticket comment spscified project.
  # @param id_or_name numeric project id or project name
  # @param ticket_id numeric project ticket id
  # @param comment_id numeric project ticket comment id
  # @param [Hash] opts the optional parameters
  # @return [ProjectTicketComment]
  describe 'show_project_ticket_comment test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_project_ticket
  # 
  # Update project ticket
  # @param id_or_name numeric project id or project name
  # @param ticket_id numeric project ticket id
  # @param [Hash] opts the optional parameters
  # @option opts [String] :name Project ticket name (title)
  # @option opts [String] :description Project ticket description details
  # @option opts [Integer] :type_id numeric project ticket type id
  # @option opts [Integer] :milestone_id numeric project ticket milestone id
  # @option opts [Integer] :component_id numeric project ticket component id
  # @option opts [Integer] :priority project ticket priority (min &#x3D; 1 and max &#x3D; 9)
  # @option opts [Integer] :severity project ticket severity (min &#x3D; 1 and max &#x3D; 9)
  # @option opts [Integer] :owner numeric project ticket owner user id
  # @option opts [String] :resolution project ticket resolution text
  # @option opts [String] :status project ticket status (open or close)
  # @return [ProjectTicketItem]
  describe 'update_project_ticket test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_project_ticket_adminprefs
  # 
  # Update project ticket admin preferences.
  # @param id_or_name numeric project id or project name
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :allow_anonymouse Non login user allows to post new ticket/comment
  # @option opts [String] :frs_autosync Componet File release autosync type &#39;Disabled&#39;, &#39;Package&#39;, &#39;Release&#39;, &#39;Package and Release&#39;
  # @option opts [String] :mailsend_type Ticket update mail destination type &#39;None&#39;, &#39;Ticket Technician&#39;, &#39;Ticket Administrator&#39;, &#39;Ticket Administrator and Technician&#39;, &#39;All project members&#39;, &#39;Mailing List&#39;
  # @option opts [Integer] :mailing_list_id Ticket update mail destination mail list id (it is only used when mailsend_type is mailing list)
  # @option opts [String] :mail_lang Ticket update mail language
  # @return [ProjectTicketPrefs]
  describe 'update_project_ticket_adminprefs test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_project_ticket_component
  # 
  # Update project ticket component
  # @param id_or_name numeric project id or project name
  # @param component_id numeric project ticket component id
  # @param [Hash] opts the optional parameters
  # @option opts [String] :name Ticket component name
  # @option opts [String] :description Ticket component description
  # @option opts [Integer] :owner Ticket componet owner user_id
  # @option opts [BOOLEAN] :active Ticket componet will be shown the component select list when this parameter is true
  # @return [ProjectTicketComponent]
  describe 'update_project_ticket_component test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_project_ticket_milestone
  # 
  # Update project ticket milestone
  # @param id_or_name numeric project id or project name
  # @param milestone_id numeric project ticket milestone id
  # @param [Hash] opts the optional parameters
  # @option opts [String] :name Ticket milestone name
  # @option opts [String] :description Ticket milestone description
  # @option opts [DateTime] :start Ticket milestone start date
  # @option opts [DateTime] :_end Ticket milestone due date
  # @option opts [String] :force_status If you want to force close the milestone set to &#39;close&#39; or reopen it set to &#39;reopen&#39;
  # @return [ProjectTicketComponent]
  describe 'update_project_ticket_milestone test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_project_ticket_type
  # 
  # Update project ticket type
  # @param id_or_name numeric project id or project name
  # @param type_id numeric project ticket type id
  # @param [Hash] opts the optional parameters
  # @option opts [String] :name Ticket type name
  # @option opts [String] :description Ticket type description
  # @option opts [BOOLEAN] :is_public if set as false, this type will be shown to project members only.
  # @return [ProjectTicketType]
  describe 'update_project_ticket_type test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
